GLOBAL(1)

NAME
global - SeisComP Documentation

The SeisComP configuration uses a unified schema to configure modules. Modules which use the SeisComP libraries can read this configuration directly and share global configuration options like messaging connections, database configurations, logging and much more. There are still some modules that do not use the libraries and are called standalone modules such as seedlink and slarchive. They need wrappers to generate their native configuration when seiscomp update-config is run.

Global parameters can be used by many modules. Thus multiple configuration can be avoided. The parameters are read from file in the following order:

1.  @SYSTEMCONFIGDIR@/global.cfg

2.  @CONFIGDIR@/global.cfg

    Parameters from @CONFIGDIR@ override parameters from @SYSTEMCONFIGDIR@.

    Most trunk modules read the configuration from the global configuration which can be overridden by the module configuration. Read the concept section on modules and the concept section on the configuration for more details.

    Though it is easy to create the configuration by directly editing the configuration files, it is even more convenient to use a graphical configuration tool. SeisComP ships with scconfig, a graphical configuration and management tool which makes it easy to maintain module configurations and station bindings even for large networks. It has built-in functionality to check the state of all registered modules and to start and stop them.

    The configuration is divided into three parts: stations, modules and bindings.

STATION META DATA

Station meta-data is a fundamental requirement for a seismic processing system and for SeisComP. Read the inventory section in concepts for more details.

MODULES

The concepts of modules and their configuration is described in the concepts section.

BINDINGS

Bindings provide specific configurations per module and station and even stream. Read the bindings section in concepts for more details on bindings.

EXTENSIONS

Extensions add new configuration options to modules. It does not matter how those extensions are used. Commonly a module loads a plugin, which requires additional configuration parameters - these are provided by an extension.

There are currently extensions for the following modules, corresponding to the plugins shown:
Module | Plugin's
global | Hypo71 Md NonLinLoc MLh iLoc MN MLr GUI StdLoc LocExt LocRouter RecordStream Ms_20 mb ML_IDC ML MLc MLv mB_BB mb_IDC FX-DFX homogeneous LOCSAT FixedHypocenter
seedlink | mseedfifo q330 chain gdrt caps
scevent | EventType RegionCheck
scm | email text ncurses
kernel | messaging

See the documentation for each module for further information about its extensions.

PLUGINS

•   Hypo71

    The traditional Hypo71PC locator with SeisComP.

•   Md

    Duration magnitude plugin

•   NonLinLoc

    NonLinLoc locator wrapper plugin for SeisComP. NonLinLoc was written by Anthony Lomax (http://alomax.free.fr/nlloc).

•   MLh

    The MLh plugin (previously MLsed) is designed to compute amplitudes and magnitudes according to the Swiss Seismological Service (SED) standards.

•   iLoc

    Locator in SeisComP implemented by the plugin lociloc.

•   MN

    Nuttli magnitude for Canada and other Cratonic regions

•   MLr

    The GNS/Geonet local magnitude

•   GUI

    The GUI configuration plugin extends the configuration of graphical user interfaces to various options to adjust the look and feel.

•   StdLoc

    Generic locator plugin for SeisComP.

•   LocExt

    Locator which forwards the processing to external scripts

•   LocRouter

    Meta locator routing location requests of picks and origins to actual locator implementations.

•   RecordStream

    RecordStream interface for SeisComP.

•   Ms_20

    Surface wave magnitude measured at around 20 s

•   mb

    Body wave magnitude at teleseismic distances

•   ML_IDC

    CTBTO/IDC local magnitude.

•   ML

    Standard local (Richter) magnitude

•   MLc

    Custom magnitude for local events measured on horizontal components

•   MLv

    Local (Richter) magnitude measured on the vertical component

•   mB_BB

    Body wave magnitude at teleseismic distances similar to mb

•   mb_IDC

    Body wave magnitude computed at CTBTO/IDC (mb) is calculated for seismic events from the time-defining primary body waves recorded at seismic stations at an epicentral distance between 20 and 105 degrees from the event.

•   FX-DFX

    Implementation of the CTBTO/IDC polarization analysis for three-component stations.

•   homogeneous

    Travel-times for a homogeneous velocity model

•   LOCSAT

    Locator in SeisComP for computing source time and hypocenter coordinates from phase picks.

•   FixedHypocenter

    Locator for re-computing source time with fixed hypocenter

MODULE CONFIGURATION

agencyID
    Default: GFZ

    Type: string

    Agency ID used to set creationInfo.agencyID in data model objects. Should not contain spaces.

datacenterID
    Type: string

    Datacenter ID which is primarily used by Arclink and its tools. Should not contain spaces.

organization
    Default: Unset

    Type: string

    Organization name used mainly by ArcLink and SeedLink.

author
    Default: @appname@@@@hostname@

    Type: string

    Author name used to set creationInfo.author in data model objects. @appname@ is replaced by the name of the respective executable, @hostname@ by the name of the computer on which it runs.

plugins
    Type: list:string

    List of plugins loaded at startup. Separate multiple names by comma. Add ${plugins} to consider all previously read values.

cityXML
    Type: file

    Values: *.xml

    Path to the cities XML file. If undefined, the data is read from "@CONFIGDIR@/cities.xml" or "@DATADIR@/cities.xml". SeisComP ships with "@DATADIR@/cities.xml".

loadCities
    Type: boolean

    Load cities from file configured by the "cityXML" parameter. GUI and map applications enable loading of cities by default considering the parameter "scheme.map.showCities".

loadRegions
    Type: boolean

    Load custom FEP (Flinn-Engdahl polygon) regions from "@CONFIGDIR@/fep/" or @DATADIR@/fep/". GUI and map applications and scevent enable FEP regions by default. Explicitly uncheck the option to disregard by these applications.

publicIDPattern
    Default: @classname@/@time/%Y%m%d%H%M%S.%f@.@id@

    Type: string

    Define a custom pattern for generation of public object IDs. The following variables are resolved: @classname@ (class name of object), @id@ (public object count), @globalid@ (general object count), @time@ (current time, use '/' to supply custom format e.g. @time/%FT%T.%fZ@

configModule
    Default: trunk

    Type: string

    Name of the configuration module.

database
    Type: string

    Define the database connection. If no database is configured (which is the default) and a messaging connection is available, the application will receive the parameters after the connection is established. Override these values only if you know what you are doing.

    The format is: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list". IMPORTANT: This parameter replaces former "database.type" and "database.parameters" which have been removed.

recordstream
    Type: string

    SeisComP applications access waveform data through the RecordStream interface. Read the SeisComP documentation for a list of supported services and their configuration.

    This parameter configures RecordStream source URL.

    Format: [service://]location[#type]

    "service": The name of the RecordStream implementation. If not given, "file://" is implied.

    IMPORTANT: This parameter replaces former RecordStream configurations in "recordstream.service" and "recordstream.source" which have been removed.

    NOTE: logging.* Control the logging of SeisComP applications. The log information are written to log files per modules as "@CONFIGDIR@/log/[module].log".

logging.level
    Default: 2

    Type: int

    Values: 1,2,3,4

    Set the logging level between 1 and 4 where 1=ERROR, 2=WARNING, 3=INFO and 4=DEBUG.

logging.syslog
    Default: false

    Type: boolean

    Enable logging to syslog if supported by the host system.

logging.components
    Type: list:string

    Limit the logging to the specified list of components. Example: 'Application, Server'.

logging.component
    Type: boolean

    For each log entry print the component right after the log level. By default, the component output is enabled for file output but disabled for console output.

logging.context
    Default: false

    Type: boolean

    For each log entry print the source file name and line number.

logging.utc
    Type: boolean

    Use UTC instead of local time in logging timestamps.

logging.file.rotator
    Default: true

    Type: boolean

    Enable rotation of log files.

logging.file.rotator.timeSpan
    Default: 86400

    Type: int

    Unit: s

    Time span after which a log file is rotated.

logging.file.rotator.archiveSize
    Default: 7

    Type: int

    The maximum number of historic log files to keep.

logging.file.rotator.maxFileSize
    Default: 104857600

    Type: int

    Unit: byte

    The maximum size of a log file in byte. The default value is 100 megabyte. If a log file exceeds that size, then it is rotated. To disable the size limit give 0 or a negative value.

logging.objects.timeSpan
    Default: 60

    Type: int

    Unit: s

    Time span for counting input/output of objects.

logging.syslog.facility
    Default: local0

    Type: string

    Define the syslog facility to be used according to the defined facility names in syslog.h. The default is local0. If the given name is invalid or not available, initializing logging will fail and the application quits.

connection.server
    Default: localhost

    Type: host-with-port

    Define the URL of the messaging server to connect to. URL format is [scheme://]host[:port][/queue]. Default scheme: scmp, default port: 18180, default queue: production. Examples:

    All default: localhost

    Specific host: scmp://10.0.1.4:18180/production

    Specific host and SSL encryption: scmps://10.0.1.4:18180/production

connection.username
    Type: string

    Define the username to be used. The length is maybe limited by the messaging system used. By default, the module name (name of the executable) is used but sometimes it exceeds the 10 character limit and access is denied. To prevent errors set a different username. An empty username will let the system to generate one.

connection.certificate
    Type: string

    Define the OpenSSL client certificate to be used. Path to OpenSSL certificate in PKCS 12 format or the prefix "data:" followed by the Base64 encoded certificate data.

connection.timeout
    Default: 3

    Type: int

    Unit: s

    The connection timeout in seconds. 3 seconds are normally more than enough. If a client needs to connect to a remote system with a slow connection, a larger timeout might be needed.

connection.primaryGroup
    Type: string

    Define the primary group of a module. This is the name of the group where a module sends its messages to if the target group is not explicitly given in the send call.

connection.contentType
    Default: binary

    Type: string

    Define the message encoding for sending. Allowed values are "binary", "json" or "xml". XML has more overhead in processing but is more robust when schema versions between client and server are different.

connection.subscriptions
    Type: list:string

    Define a list of message groups to subscribe to. The default is usually given by the application and does not need to be changed.

    NOTE: database.* Define the database connection. If no database is configured (which is the default) and a messaging connection is available, the application will receive the parameters after the connection is established. Override these values only if you know what you are doing.

database.inventory
    Type: file

    Values: *.xml

    Load the inventory database from a given XML file if set. This overrides the inventory definitions loaded from the database backend.

database.config
    Type: file

    Values: *.xml

    Load the configuration database from a given XML file if set. This overrides the configuration definitions loaded from the database backend.

    NOTE: processing.* Filter the objects for processing according to parameter values.

processing.whitelist.agencies
    Type: list:string

    Define a whitelist of agency IDs corresponding to "agencyID" that are allowed for processing. Objects from all other agencies will be ignored. Separate items by comma.

processing.blacklist.agencies
    Type: list:string

    Define a blacklist of agency IDs corresponding to "agencyID" that are not allowed for processing. Separate items by comma.

    NOTE: inventory.* Filter the considered inventory according to parameter values.

inventory.whitelist.nettype
    Type: list:string

    List of network types to include when loading the inventory. All other types will be ignored. Separate items by comma.

inventory.whitelist.statype
    Type: list:string

    List of station types to include when loading the inventory. All other types will be ignored. Separate items by comma.

inventory.blacklist.nettype
    Type: list:string

    List of network types to exclude when loading the inventory. Separate items by comma.

inventory.blacklist.statype
    Type: list:string

    List of station types to exclude when loading the inventory. Separate items by comma.

scripts.crashHandler
    Type: file

    Path to crash handler script.

core.plugins
    Default: dbmysql

    Type: list:string

    Define a list of core modules loaded at startup.

client.startStopMessage
    Default: false

    Type: boolean

    Enable sending of an application start- and stop message to the STATUS_GROUP.

client.autoShutdown
    Default: false

    Type: boolean

    Enable automatic application shutdown triggered by a status message.

client.shutdownMasterModule
    Type: string

    Trigger shutdown if the module name of the received messages match.

client.shutdownMasterUsername
    Type: string

    Trigger shutdown if the user name of the received messages match.

    NOTE: commands.* Control the handling of command messages.

commands.target
    Type: string

    A regular expression of all clients that should handle a command message usually send to the GUI messaging group. Currently this flag is only used by GUI applications to set an artificial origin and to tell other clients to show this origin. To let all connected clients handle the command, ".*$" can be used.

    NOTE: ttt.* Configure interfaces to travel-time tables (travel-time interfaces). Built-in interfaces are LOCSAT, libtau and homogeneous. For each loaded interface the supported tables must be provided.

    NOTE: ttt.$name.* $name is a placeholder for the name to be used.

ttt.$name.tables
    Type: list:string

    The list of supported table (model) names per interface.

    NOTE: amplitudes.* Parameters for amplitude measurements.

amplitudes.aliases
    Type: list:string

    Definition of amplitude aliases for deriving new amplitude types from an existing amplitude. Separate multiple entries by comma.

    Format:

    NewType:OriginalAmplitudeType

    Examples for deriving an amplitude of new type ABC from MLv:

    ABC:MLv

    Alias amplitudes can be configured like any other amplitude and used for any alias magnitude.

amplitudes.iaspei
    Default: false

    Type: boolean

    Compute ML peak-to-trough and mb amplitudes according to IASPEI recommendations.

    For Ms(BB) amplitudes check that the dominant period of the signal is within the valid range (3, 60). The period range may be set in a Ms(BB) amplitude profile in global bindings.

    NOTE: amplitudes.$name.* $name is a placeholder for the name to be used.

amplitudes.$name.regionalize
    Default: true

    Type: boolean

    Control if the amplitude calculation should be regionalized or not. The regions and their configuration are taken from the corresponding magnitude profiles. If regionalization is activate, then e.g. modules without origin information will not be able to compute an amplitude as the origin is required to determine the effective settings.

    If amplitudes for this particular type shall be computed regardless of any defined regions, set this parameter to false.

amplitudes.$name.considerUnusedArrivals
    Default: false

    Type: boolean

    If enabled, then also stations with unused (disabled) arrivals are considered for amplitude and implicitly magnitude computations, e.g. by scamp, scmag and scolv.

    NOTE: amplitudes.ttt.* Travel time table specific parameters to be used for the computation of travel times referred to in signal and noise time window specifications, e.g. "signalBegin". This can be overridden per station in its bindings.

amplitudes.ttt.interface
    Default: LOCSAT

    Type: string

    Values: libtau,LOCSAT,homogeneous

    The name of the travel-time interface to use. The list can be extended by plugins.

amplitudes.ttt.model
    Default: iasp91

    Type: string

    The name of the travel-time interface (velocity) model to use.

    NOTE: amplitudes.WoodAnderson.* Parameters of the Wood-Anderson seismometer response used for instrument simulation. The default values are according to Uhrhammer and Collins (1990) and were part of the IASPEI Magnitude Working Group recommendations of 2011 September 9.

amplitudes.WoodAnderson.gain
    Default: 2080

    Type: double

    The gain of the Wood-Anderson response.

amplitudes.WoodAnderson.T0
    Default: 0.8

    Type: double

    Unit: s

    The eigenperiod of the Wood-Anderson seismometer.

amplitudes.WoodAnderson.h
    Default: 0.7

    Type: double

    The damping constant of the Wood-Anderson seismometer.

    NOTE: magnitudes.* Parameters for computing magnitudes. Add magnitude regionalization and mapping to Mw by magnitude-type profiles. One profile corresponds to one magnitude type.

magnitudes.aliases
    Type: list:string

    Definition of magnitude aliases for deriving new magnitude types from existing magnitude and amplitude types. Separate multiple entries by comma.

    Format:

    NewType:OriginalMagnitudeType[:OriginalAmplitudeType]

    OriginalAmplitudeType is optional. The default amplitude type applies if OriginalAmplitudeType is undefined.

    Examples for deriving magnitude of new type ABC from MLv:

    ABC:MLv:MLv

    ABC:MLv

    Alias magnitudes can be configured like any other magnitude and used together with any original or alias amplitudes.

    NOTE: magnitudes.$name.* Regionalization of magnitude configurations overriding global bindings. For parameters which are not set, the values defined in bindings apply. $name is a placeholder for the name to be used.

magnitudes.$name.MwMapping
    Type: list:string

    Mw magnitude mapping table for estimating Mw from network magnitude M. Mw values are given at some M.

    Format: "M0:Mw0, M1:Mw1, ...".

    Between two values of M, Mw values will be linearly interpolated but not extrapolated.

magnitudes.$name.regionFile
    Type: file

    Path to a geofeature file, e.g. in BNA or GeoJSON format, with one or more polygons defining geographic regions. Each region allows further magnitude parametrization. The order of polygons/regions matters. The list is tested from front to back and the first hit wins. Magnitude-region profiles refer to the polygons by the name of the profile. The special name "world" must not be present in the geofeature file.

    NOTE: magnitudes.$name.region.* Add magnitude region profiles for regions defined by polygons in the geofeature file of regionFile. Profile names must match one polygon name. Otherwise, the profile is not considered. The special name "world" corresponds to the region of the entire planet as a fallback.

    NOTE: magnitudes.$name.region.$name.* $name is a placeholder for the name to be used.

magnitudes.$name.region.$name.enable
    Default: false

    Type: boolean

    Enable the region or not.

magnitudes.$name.region.$name.minDist
    Type: string

    Unit: deg

    The minimum distance required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

    Although the default unit is 'deg', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    minDist = 500km

magnitudes.$name.region.$name.maxDist
    Type: string

    Unit: deg

    The maximum distance allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

    Although the default unit is 'deg', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    maxDist = 500km

magnitudes.$name.region.$name.minDepth
    Type: string

    Unit: km

    The minimum depth required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

    Although the default unit is 'km', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    minDepth = 500km

magnitudes.$name.region.$name.maxDepth
    Type: string

    Unit: km

    The maximum depth allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

    Although the default unit is 'km', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    maxDepth = 500km

magnitudes.$name.region.$name.check
    Default: source

    Type: string

    Define how the region check is performed to accept a source receiver pair for further processing. Allowed values are:

    source: Only the source/origin must be within the region.

    source-receiver: Both source/origin and receiver/station must be within the region.

    raypath: The entire path between source/origin and receiver/station must be withing the region.

magnitudes.$name.region.$name.multiplier
    Type: double

    Linear part of the default station correction for this region.

magnitudes.$name.region.$name.offset
    Type: double

    Constant part of the default station correction for this region.

  Hypo71 extension

The traditional Hypo71PC locator with SeisComP.

NOTE: hypo71.* Locator parameters: Hypo71

hypo71.logFile
    Default: @LOGDIR@/HYPO71.LOG

    Type: file

    Temporary file used by Hypo71 to store calculation logs.

hypo71.inputFile
    Default: @DATADIR@/hypo71/HYPO71.INP

    Type: file

    Temporary file to write Hypo71 input data to.

hypo71.outputFile
    Default: @DATADIR@/hypo71/HYPO71.PRT

    Type: file

    Temporary output file to read Hypo71 location data from.

hypo71.defaultControlFile
    Default: @DATADIR@/hypo71/profiles/default.hypo71.conf

    Type: file

    Hypo71 default profile. If no custom profile is specified, this profile will be used by the plugin when proceeding to a localization.

hypo71.hypo71ScriptFile
    Default: @DATADIR@/hypo71/run.sh

    Type: file

    Bash script executed when calling the Hypo71 locator plugin for locating the earthquake.

hypo71.profiles
    Type: list:string

    Hypo71 profile name. Multiples names may be set. They must be separated by comma. Each profile can have different velocity or parameters.

hypo71.publicID
    Type: string

    Custom patternID to use when generating origin publicID.

hypo71.useHypo71PatternID
    Type: boolean

    Specifies if the given public ID shall be used for generating origin publicID.

    NOTE: hypo71.profile.* Profiles containing the profile-specific velocity model and the Hypo71 parameters.

    NOTE: hypo71.profile.$name.* $name is a placeholder for the name to be used and needs to be added to hypo71.profiles to become active.

    hypo71.profiles = a,b
    hypo71.profile.a.value1 = ...
    hypo71.profile.b.value1 = ...
    # c is not active because it has not been added
    # to the list of hypo71.profiles
    hypo71.profile.c.value1 = ...

hypo71.profile.$name.earthModelID
    Type: string

    Profile's velocity model name.

hypo71.profile.$name.methodID
    Default: Hypo71

    Type: string

    Profile's method. It is generally the locator's name (Hypo71).

hypo71.profile.$name.controlFile
    Type: file

    File containing the profile parameters.

hypo71.profile.$name.fixStartDepthOnly
    Default: false

    Type: boolean

    If the depth is requested to be fixed (e.g. by ticking the option in scolv) the plugin performs only one location starting at specified depth but with free depth evaluation. This option defines whether it should really fix the depth (false) or use this fixed depth only as starting point (true).

  NonLinLoc extension

NonLinLoc locator wrapper plugin for SeisComP. NonLinLoc was written by Anthony Lomax (http://alomax.free.fr/nlloc).

NonLinLoc.publicID
    Default: NLL.@time/%Y%m%d%H%M%S.%f@.@id@

    Type: string

    PublicID creation pattern for an origin created by NonLinLoc.

NonLinLoc.outputPath
    Default: /tmp/sc3.nll

    Type: directory

    Defines the output directory for all native NonLinLoc input and output files.

NonLinLoc.saveInput
    Default: true

    Type: boolean

    Save input files *.obs in outputPath for later processing. Setting to false reduces file i/o and saves disk space.

NonLinLoc.saveIntermediateOutput
    Default: true

    Type: boolean

    Save output files in outputPath for later processing or for viewing by the Seismicity Viewer. Setting to false reduces file i/o and saves disk space.

NonLinLoc.controlFile
    Type: file

    The default NonLinLoc control file to use. Parameters therein are overridden per profile.

NonLinLoc.defaultPickError
    Default: 0.5

    Type: double

    Unit: s

    The default pick error in seconds passed to NonLinLoc if a SeisComP pick object does not provide pick time uncertainties.

NonLinLoc.fixedDepthGridSpacing
    Default: 0.1

    Type: double

    Unit: km

    Since NLL does not support fixing the depth natively so this feature is emulated by settings the Z grid very tight around the depth to be fixed. This value sets the Z grid spacing.

NonLinLoc.allowMissingStations
    Default: true

    Type: boolean

    Picks from stations with missing configuration will be ignored. The origin will be relocated without that pick if possible.

    If set to false, the plug-in throws an excepection without locating.

NonLinLoc.profiles
    Type: list:string

    Defines a list of active profiles to be used by the plugin.

    NOTE: NonLinLoc.profile.$name.* Defines a regional profile that is used if a prelocation falls inside the configured region. $name is a placeholder for the name to be used and needs to be added to NonLinLoc.profiles to become active.

    NonLinLoc.profiles = a,b
    NonLinLoc.profile.a.value1 = ...
    NonLinLoc.profile.b.value1 = ...
    # c is not active because it has not been added
    # to the list of NonLinLoc.profiles
    NonLinLoc.profile.c.value1 = ...

NonLinLoc.profile.$name.earthModelID
    Type: string

    Earth model ID stored in the created origin.

NonLinLoc.profile.$name.methodID
    Default: NonLinLoc

    Type: string

    Method ID stored in the created origin.

NonLinLoc.profile.$name.tablePath
    Type: path

    Path to travel time tables (grids) including the full path and the names of the table files before the phase name.

    Example:

    @DATADIR@/nonlinloc/iasp91/iasp91 for P and S tables files seiscomp/share/nonlinloc/iasp91/iasp91.[PS].*

NonLinLoc.profile.$name.stationNameFormat
    Default: @STA@

    Type: string

    Format of the station name used to select the right travel time table (grid) file for a station. By default only the station code is used (e.g. tablePath.P.@STA@.time.*), but that doesn't allow to distinguish between multiple network codes or location codes that use the same station code. To overcome this limitation this parameter could be set in a more general way, for example @NET@_@STA@_@LOC@. In this way NonLinLoc will look for travel time table (grid) files of the form: tablePath.P.@NET@_@STA@_@LOC@.time.* Where @NET@ @STA@ @LOC@ are just placeholder for the actual codes.

NonLinLoc.profile.$name.controlFile
    Type: file

    Control file of the current profile overriding parameters of the default control file.

NonLinLoc.profile.$name.transform
    Default: GLOBAL

    Type: string

    Transformation type of the configured region. Supported are SIMPLE and GLOBAL.

NonLinLoc.profile.$name.region
    Type: list:double

    Defines the 4 corner values of the epicentral region for selecting the profile. The original epicentre must be within the region.

    If transform is GLOBAL: min_lat, min_lon, max_lat, max_lon. The values define the geographic corner coordinates. Unit: degree.

    If transform is SIMPLE: min_x, min_y, max_x, max_y. The values define the region relative to the origin configured with "origin". Unit: km.

    When this parameter is empty, the generated NonLinLoc configuration is automatically overwritten with TRANS GLOBAL. Otherwise TRANS from "controlFile" applies.

NonLinLoc.profile.$name.origin
    Type: list:double

    Unit: deg

    Only used for transformation SIMPLE. Expects 2 values: latitude, longitude. The value define the geographic origin of the area spanned by region.

NonLinLoc.profile.$name.rotation
    Type: double

    Unit: deg

    Only used for transformation SIMPLE. Defines the rotation around the origin of the defined region.

  iLoc extension

Locator in SeisComP implemented by the plugin lociloc.

NOTE: iLoc.* Locator parameters: iLoc

iLoc.auxDir
    Default: @DATADIR@/iloc/iLocAuxDir

    Type: directory

    iLoc directory for auxiliary files and directories. Some of them must be provided from the iLoc website. Read the documentation for their installation.

iLoc.usePickUncertainties
    Default: false

    Type: boolean

    Whether to use pick time uncertainties (true) or to use the default timing error (false).

iLoc.defaultTimeError
    Default: 9999999

    Type: double

    Unit: s

    The default pick time error forwarded to iLoc if no pick time uncertainties are set or if using the pick time uncertainties is disabled.

iLoc.profiles
    Default: iasp91,ak135

    Type: list:string

    List of iLoc profile name(s). Separate multiple names by comma. Each profile can have different velocity or parameters. The must be defined separate by iLoc profiles.

    NOTE: iLoc.profile.* Profiles containing the specific locator parameters. For the global models, iasp91 and ak135, profiles are automatically considered with defaults. To adjust the profile parameters the corresponding profile must be created.

    NOTE: iLoc.profile.$name.* $name is a placeholder for the name to be used and needs to be added to iLoc.profiles to become active.

    iLoc.profiles = a,b
    iLoc.profile.a.value1 = ...
    iLoc.profile.b.value1 = ...
    # c is not active because it has not been added
    # to the list of iLoc.profiles
    iLoc.profile.c.value1 = ...

iLoc.profile.$name.Verbose
    Default: true

    Type: boolean

iLoc.profile.$name.globalModel
    Type: string

    Name of globally applied velocity model into which RSTT or the local model is integrated. If unset, the name of the profile is considered instead.

iLoc.profile.$name.UseRSTT
    Default: false

    Type: boolean

    Use regional seismic travel-time tables.

iLoc.profile.$name.UseRSTTPnSn
    Default: true

    Type: boolean

    Use regional seismic travel-time tables for Pn and Sn.

iLoc.profile.$name.UseRSTTPgLg
    Default: true

    Type: boolean

    Use regional seismic travel-time tables for Pg and Lg.

iLoc.profile.$name.UseLocalTT
    Default: false

    Type: boolean

    Use local velocity model if defined in LocalVmodel.

iLoc.profile.$name.LocalVmodel
    Type: file

    Full path to a file containing the local velocity model. Requires: UseLocalTT = true. Empty string or unset or UseLocalTT = false disables using a local model in this profile.

    Example:

    @DATADIR@/iloc/iLocAuxDir/localmodels/model.localmodel.dat.

iLoc.profile.$name.MaxLocalTTDelta
    Default: 3

    Type: float

    Unit: deg

    Maximum epicentral distance for applying the local velocity model.

iLoc.profile.$name.DoGridSearch
    Default: true

    Type: boolean

    Perform neighbourhood algorithm.

iLoc.profile.$name.NAsearchRadius
    Default: 5

    Type: float

    Unit: deg

    Neighbourhood Algorithm: Search radius around initial epicentre.

iLoc.profile.$name.NAsearchDepth
    Default: 300

    Type: float

    Unit: km

    Neighbourhood Algorithm: Search radius around initial depth.

iLoc.profile.$name.NAsearchOT
    Default: 30

    Type: float

    Unit: s

    Neighbourhood Algorithm: Search radius around initial origin time.

iLoc.profile.$name.NAlpNorm
    Default: 1

    Type: float

    Range: 1:2

    Neighbourhood Algorithm: p-value for norm to compute misfit.

iLoc.profile.$name.NAiterMax
    Default: 5

    Type: int

    Neighbourhood Algorithm: Maximum number of iterations.

iLoc.profile.$name.NAcells
    Default: 25

    Type: int

    Neighbourhood Algorithm: Number of cells to be resampled at each iteration.

iLoc.profile.$name.NAinitialSample
    Default: 1000

    Type: int

    Neighbourhood Algorithm: Size of initial sample.

iLoc.profile.$name.NAnextSample
    Default: 100

    Type: int

    Neighbourhood Algorithm: Size of subsequent samples.

iLoc.profile.$name.MinDepthPhases
    Default: 3

    Type: int

    Depth resolution: Minimum number of depth phases.

iLoc.profile.$name.MaxLocalDistDeg
    Default: 0.2

    Type: float

    Unit: deg

    Depth resolution: Maximum local distance.

iLoc.profile.$name.MinLocalStations
    Default: 1

    Type: int

    Depth resolution: Minimum number of local defining stations.

iLoc.profile.$name.MaxSPDistDeg
    Default: 2.0

    Type: float

    Unit: deg

    Depth resolution: Maximum epicentral distance for using S-P travel-time differences.

iLoc.profile.$name.MinSPpairs
    Default: 3

    Type: int

    Depth resolution: Minimum number of defining S-P phase pairs.

iLoc.profile.$name.MinCorePhases
    Default: 3

    Type: int

    Depth resolution: Minimum number of defining core reflection phases

iLoc.profile.$name.MaxShallowDepthError
    Default: 30.0

    Type: float

    Unit: km

    Depth resolution: Maximum depth error for crustal free-depth.

iLoc.profile.$name.MaxDeepDepthError
    Default: 60.0

    Type: float

    Unit: km

    Depth resolution: Maximum depth error for deep free-depth.

iLoc.profile.$name.DoCorrelatedErrors
    Default: true

    Type: boolean

    Linearized inversion: Account for correlated errors.

iLoc.profile.$name.SigmaThreshold
    Default: 6.0

    Type: float

    Unit: s

    Linearized inversion: Used to exclude big residuals from solution.

iLoc.profile.$name.AllowDamping
    Default: true

    Type: boolean

    Linearized inversion: Allow damping of model vector.

iLoc.profile.$name.MinIterations
    Default: 4

    Type: int

    Linearized inversion: Minimum number of iterations.

iLoc.profile.$name.MaxIterations
    Default: 20

    Type: int

    Linearized inversion: Maximum number of iterations.

iLoc.profile.$name.MinNdefPhases
    Default: 4

    Type: int

    Linearized inversion: Minimum number of defining phases.

iLoc.profile.$name.DoNotRenamePhases
    Default: false

    Type: boolean

    Linearized inversion: Do not rename phases. Deactivating allows to rename the phases automatically for this profile.

  GUI extension

The GUI configuration plugin extends the configuration of graphical user interfaces to various options to adjust the look and feel.

NOTE: groups.* Configures the target messaging groups for various object types. These parameters should only be touched if you know what you are doing.

groups.pick
    Default: PICK

    Type: string

    Defines the target messaging group for manual picks, e.g. made in scolv.

groups.amplitude
    Default: AMPLITUDE

    Type: string

    Defines the target messaging group for amplitudes, e.g. computed in scolv.

groups.magnitude
    Default: MAGNITUDE

    Type: string

    Defines the target messaging group for magnitudes. scolv does not use this group but sends magnitudes together with the origin to the origin group.

groups.location
    Default: LOCATION

    Type: string

    Defines the target messaging group for origins created in e.g. scolv.

groups.focalMechanism
    Default: FOCMECH

    Type: string

    Defines the target messaging group for focal mechanisms created in e.g. scolv.

groups.event
    Default: EVENT

    Type: string

    Defines the target messaging group for events and event journal entries.

map.location
    Default: @DATADIR@/maps/world%s.png

    Type: string

    The location and the structure of the map tiles to be used. This path is composed of zero or more directives and must include at least one conversion specification. The specification starts with the '%' and is followed by a conversion specifier. Valid specifiers are

    s: to be replaced by tile ID

    l: tile level

    c: tile column

    r: tile row.

    Example for using the OpenStreetMap file structure: /path/to/maps/%l/%c/%r.png.

map.format
    Default: rectangular

    Type: string

    Values: rectangular,mercator

    Projection of the map tiles configured in "map.location".

    Note: Additional projections may be available by plugins.

map.cacheSize
    Default: 0

    Type: int

    Unit: bytes

    Cache size of the map tiles. If 0 is specified. a default cache size of 32 MBytes is used. The higher the cache size the better the performance in higher resolutions. A higher cache size causes less image loader calls but requires more client memory.

map.type
    Type: string

    The tile store implementation provided by a plugin for considering maps if a non-default tile store is configured in 'map.location'.

map.customLayers
    Type: list:string

    Allows to add custom layers that are included via plugins. This is a list of layer names. A plugin must implement the layer interface and register itself with the name used in this list. The order of layers is the default order. The custom layers are prepended to the maps defaults layers such as the grid and the cities.

map.layers
    Type: string

    Defines the order of all configured layers. This includes the standard layers (grid, cities) as well as custom layers. The name of the grid layer is "grid" and the name of the cities layer is "cities".

    NOTE: map.mercator.* Parameters specifically related to maps loaded with mercator projection.

map.mercator.discrete
    Default: false

    Type: boolean

    Only support discrete zoom levels. The parameter impacts the effect of "map.zoom.sensitivity".

    NOTE: map.layers.events.* Configuration options for the events layer that shows all events on the map that are loaded in the event list.

map.layers.events.visible
    Default: false

    Type: boolean

    Show the events layer on maps. Currently only supported by scolv.

    NOTE: map.layers.fep.* Configuration for the fep layer showing the polygons of FEP (Flinn-Engdahl-Polygon) files on maps if they exist in @DATADIR@/fep or @CONFIGDIR@/fep.

map.layers.fep.visible
    Default: true

    Type: boolean

    Show the fep layer on maps.

map.layers.cities.topPopulatedPlaces
    Default: -1

    Type: int

    Maximum number of cities to be rendered. If "scheme.map.cityPopulationWeight" is less or equal than 0 then all cities are rendered ordered by population count, highest first. To show the N most populated places in the visible map region, set "scheme.map.cityPopulationWeight" to 0 and set this parameter to N.

map.zoom.sensitivity
    Default: 0.5

    Type: double

    Zoom sensitivity of the map

    NOTE: scheme.* This group defines various options controlling the look and feel of graphical modules. The options include symbols, units, precision, color, pen, brush, font, etc. There are various conventions to define colors, fonts and gradients. ** Colors are defined in HTML convention, e.g. as rgb values, hexadecimal numbers or color keyword names defined by W3C. If rgb or rgba is used, it must be quoted because the comma is handled as list separator by the configuration. Examples: "rgb(0,128,0)", 00800040, green. ** Gradients are configured as lists of tuples where each tuple is colon separated in the form value:color. Value is either int or double and color is again a color definition. Example: 0:yellow,10:red

scheme.showMenu
    Default: true

    Type: boolean

    Show menu bar.

scheme.showStatusBar
    Default: true

    Type: boolean

    Show status bar.

scheme.tabPosition
    Type: string

    Values: off,north,south,east,west

    The position of tab bar of GUI applications like scolv. An unset value lets the application decide where to place the tab bar. This option might not be supported by all applications. Valid positions are: off, north, south, east, west.

scheme.distanceHypocentral
    Default: false

    Type: boolean

    Show hypocentral instead of epicentral distances.

scheme.map.stationSize
    Default: 8

    Type: int

    Unit: px

    The station symbol size, e.g., in scmv.

scheme.map.originSymbolMinSize
    Default: 9

    Type: int

    Unit: px

    The minimum symbol size of origins. The size is scaled with magnitude according to "scheme.mag.originSymbolScaleMag".

scheme.map.originSymbolMinMag
    Default: 1.2

    Type: double

    The minimum magnitude to be represented by an origin symbol. The symbol size of origins with this or lower magnitude is configured by "scheme.mag.originSymbolMinSize". For origins with larger magnitudes the symbol sizes are scaled according to "scheme.mag.originSymbolScaleMag".

    Starting from the minimum magnitude legends explaining magnitudes will show eight symbols in steps of one magnitude.

scheme.map.originSymbolScaleMag
    Default: 4.9

    Type: double

    Unit: px/magnitude

    The factor for scaling the symbol size of origins with some magnitude as: "scheme.mag.originSymbolScaleMag" * (magnitude - "scheme.mag.originSymbolMinMag").

    The color of origins symbols is controlled by the parameters "scheme.colors.originSymbol.*".

scheme.map.vectorLayerAntiAlias
    Default: false

    Type: boolean

    Apply antialiasing to map layers. This improves the visual quality but decreases performance.

scheme.map.bilinearFilter
    Default: true

    Type: boolean

    Apply bilinear filtering to maps. The bilinear filter improves the visual quality but decreases performance slightly. It is only used for static map images. Not while dragging.

scheme.map.showGrid
    Default: true

    Type: boolean

    Display the latitude/longitude grid on maps

scheme.map.showCities
    Default: true

    Type: boolean

    Show cities defined in "citiesXML" on maps

scheme.map.cityPopulationWeight
    Default: 150

    Type: int

    Controls at which zoom level a city will be visible. The following formula is used: screen_width (km) * weight >= population

scheme.map.showLayers
    Default: true

    Type: boolean

    Show custom layers on maps

scheme.map.showLegends
    Default: false

    Type: boolean

    Show map legends initially. Some applications provide controls to toggle the visibility in addition to this option.

scheme.map.projection
    Default: Rectangular

    Type: string

    Values: Rectangular,Mercator

    The projection for showing maps. SeisComP ships with Rectangular and Mercator. Other projections may be provided through plugins.

    The visible latitude range of maps shown with Mercator is limited to -85 - +85 deg.

scheme.map.toBGR
    Default: false

    Type: boolean

    Converts map colors from RGB color scheme to BGR.

scheme.map.polygonRoughness
    Default: 3

    Type: int

    Unit: px

    Minimum screen distance to plot a polygon or polyline line segment.

scheme.map.maxZoom
    Default: 24

    Type: float

    Range: 1:24

    Maximum allowed zoom level.

    NOTE: scheme.colors.* Colors can be configured as rgb, rgba. hexadecimal numbers or color keyword names defined by W3C. If a color is unset, SeisComP applications attempt to read it from your Desktop theme.

scheme.colors.background
    Type: color

    A general application background color. Can be used to give each application a different background color. An unset value lets Qt decide.

scheme.colors.agencies
    Type: list:string-tuples

    Sets desired colors for particular agencyIDs. It depends on the applications if they honor this setting or not. The event list will render the agencyID string with the defined colors. This is a list of tuples (AGENCY:COLOR), e.g. "GEOFON:black, USGS:blue".

scheme.colors.spectrogram
    Type: gradient

    The color gradient of the spectrogram amplitudes. The node values are not important as they will be projected onto the desired amplitude range.

scheme.colors.map.lines
    Type: color

    The color of lines in the map (e.g. lines connecting the origin and a station).

scheme.colors.map.outlines
    Type: color

    The color of station outlines in the map.

scheme.colors.map.stationAnnotations
    Type: color

    The color of station annotations.

scheme.colors.map.cityLabels
    Type: color

    The color of city labels.

scheme.colors.map.cityOutlines
    Type: color

    The color of city outlines.

scheme.colors.map.cityCapital
    Type: color

    The color of a capital.

scheme.colors.map.cityNormal
    Type: color

    The color of a "normal" city.

    NOTE: scheme.colors.map.directivity.* Defines the pen of the directivity information (backazimuth and slowness) in the map.

scheme.colors.map.directivity.color
    Default: FFA000

    Type: color

    The color of the pen.

scheme.colors.map.directivity.style
    Default: DotLine

    Type: string

    Values: NoPen, SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.map.directivity.width
    Default: 1

    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.map.grid.* Defines the pen of the latitude/longitude grid of the map.

scheme.colors.map.grid.color
    Default: FFFFFF

    Type: color

    The color of the pen.

scheme.colors.map.grid.style
    Default: DotLine

    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.map.grid.width
    Default: 1

    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.map.annotations.* Appearance of map annotations including a text color (pen), a border color (pen) and a background color (brush).

scheme.colors.map.annotations.textSize
    Default: 9

    Type: int

    Unit: pt

    Font point size of the label text.

    NOTE: scheme.colors.map.annotations.normalText.* Text pen for non highlighted annotations.

scheme.colors.map.annotations.normalText.color
    Default: c0c0c0

    Type: color

    The color of the pen.

scheme.colors.map.annotations.normalText.style
    Default: SolidLine

    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.map.annotations.normalText.width
    Default: 1

    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.map.annotations.normalBorder.* Border pen for non highlighted annotations.

scheme.colors.map.annotations.normalBorder.color
    Default: a0a0a4

    Type: color

    The color of the pen.

scheme.colors.map.annotations.normalBorder.style
    Default: SolidLine

    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.map.annotations.normalBorder.width
    Default: 1

    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.map.annotations.normalBackground.* Background brush for non highlighted annotations.

scheme.colors.map.annotations.normalBackground.color
    Default: 202020c0

    Type: color

    The color of the brush.

scheme.colors.map.annotations.normalBackground.style
    Default: solid

    Type: string

    Values: solid,dense1,dense2,dense3,dense4,dense5,dense6,dense7,nobrush,horizontal,vertical,cross,bdiag,fdiag,diagcross

    The style of the brush. Supported values are, e.g.: solid, dense1, dense7, horizontal, vertical, cross, bdiag, fdiag, diagcross.

    NOTE: scheme.colors.map.annotations.highlightedText.* Text pen for highlighted annotations.

scheme.colors.map.annotations.highlightedText.color
    Default: 000000

    Type: color

    The color of the pen.

scheme.colors.map.annotations.highlightedText.style
    Default: SolidLine

    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.map.annotations.highlightedText.width
    Default: 1

    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.map.annotations.highlightedBorder.* Border pen for highlighted annotations.

scheme.colors.map.annotations.highlightedBorder.color
    Default: a0a0a4

    Type: color

    The color of the pen.

scheme.colors.map.annotations.highlightedBorder.style
    Default: SolidLine

    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.map.annotations.highlightedBorder.width
    Default: 1

    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.map.annotations.highlightedBackground.* Background brush for highlighted annotations.

scheme.colors.map.annotations.highlightedBackground.color
    Default: ffffffa0

    Type: color

    The color of the brush.

scheme.colors.map.annotations.highlightedBackground.style
    Default: solid

    Type: string

    Values: solid,dense1,dense2,dense3,dense4,dense5,dense6,dense7,nobrush,horizontal,vertical,cross,bdiag,fdiag,diagcross

    The style of the brush. Supported values are, e.g.: solid, dense1, dense7, horizontal, vertical, cross, bdiag, fdiag, diagcross.

scheme.colors.records.foreground
    Default: 808080

    Type: color

    The general color of records/traces.

scheme.colors.records.alternateForeground
    Default: 808080

    Type: color

    A general trace color of the alternate trace, e.g., scheli.

scheme.colors.records.background
    Type: color

    The general background color of records/traces.

scheme.colors.records.alternateBackground
    Type: color

    A general background color of the alternate trace.

scheme.colors.records.spectrogram
    Default: 000000

    Type: color

    The trace color used on top of a spectrogram.

scheme.colors.records.gaps
    Default: FFFF0040

    Type: color

    The color of data gaps in trace views.

scheme.colors.records.overlaps
    Default: FF00FF40

    Type: color

    The color of data overlaps in trace views.

scheme.colors.records.alignment
    Default: FF0000

    Type: color

    The color of the alignment marker in trace views.

    NOTE: scheme.colors.records.borders.* Properties of record borders

    NOTE: scheme.colors.records.borders.standard.* Standard properties

    NOTE: scheme.colors.records.borders.standard.pen.* Defines the pen of the border line.

scheme.colors.records.borders.standard.pen.color
    Type: color

    The color of the pen.

scheme.colors.records.borders.standard.pen.style
    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.records.borders.standard.pen.width
    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.records.borders.standard.brush.* Defines the brush of the enclosed area.

scheme.colors.records.borders.standard.brush.color
    Type: color

    The color of the pen.

scheme.colors.records.borders.standard.brush.style
    Type: string

    Values: solid,dense1,dense2,dense3,dense4,dense5,dense6,dense7,nobrush,horizontal,vertical,cross,bdiag,fdiag,diagcross

    The style of the brush. Supported values are, e.g.: solid, dense1, dense7, horizontal, vertical, cross, bdiag, fdiag, diagcross.

    NOTE: scheme.colors.records.borders.signatureValid.* Properties for records with valid signatures

    NOTE: scheme.colors.records.borders.signatureValid.pen.* Defines the pen of the border line.

scheme.colors.records.borders.signatureValid.pen.color
    Type: color

    The color of the pen.

scheme.colors.records.borders.signatureValid.pen.style
    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.records.borders.signatureValid.pen.width
    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.records.borders.signatureValid.brush.* Defines the brush of the enlcosed area.

scheme.colors.records.borders.signatureValid.brush.color
    Type: color

    The color of the pen.

scheme.colors.records.borders.signatureValid.brush.style
    Type: string

    Values: solid,dense1,dense2,dense3,dense4,dense5,dense6,dense7,nobrush,horizontal,vertical,cross,bdiag,fdiag,diagcross

    The style of the pen. Supported values are, e.g.: solid, dense1, dense7, horizontal, vertical, cross, bdiag, fdiag, diagcross.

    NOTE: scheme.colors.records.borders.signatureInvalid.* Properties for records with invalid signatures

    NOTE: scheme.colors.records.borders.signatureInvalid.pen.* Defines the pen of the border line.

scheme.colors.records.borders.signatureInvalid.pen.color
    Type: color

    The color of the pen.

scheme.colors.records.borders.signatureInvalid.pen.style
    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.records.borders.signatureInvalid.pen.width
    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.records.borders.signatureInvalid.brush.* Defines the brush of the enlcosed area.

scheme.colors.records.borders.signatureInvalid.brush.color
    Type: color

    The color of the pen.

scheme.colors.records.borders.signatureInvalid.brush.style
    Type: string

    Values: solid,dense1,dense2,dense3,dense4,dense5,dense6,dense7,nobrush,horizontal,vertical,cross,bdiag,fdiag,diagcross

    The style of the pen. Supported values are, e.g.: solid, dense1, dense7, horizontal, vertical, cross, bdiag, fdiag, diagcross.

    NOTE: scheme.colors.records.offset.* Defines the pen of the record offset line.

scheme.colors.records.offset.color
    Default: C0C0FF

    Type: color

    The color of the pen.

scheme.colors.records.offset.style
    Default: SolidLine

    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.records.offset.width
    Default: 0.0

    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.records.gridPen.* Defines the pen of the record grid.

scheme.colors.records.gridPen.color
    Default: 00000020

    Type: color

    The color of the pen.

scheme.colors.records.gridPen.style
    Default: DashLine

    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.records.gridPen.width
    Default: 1.0

    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.records.subGridPen.* Defines the pen of the secondary record grid.

scheme.colors.records.subGridPen.color
    Default: 00000000

    Type: color

    The color of the pen.

scheme.colors.records.subGridPen.style
    Default: DotLine

    Type: string

    Values: NoPen,SolidLine,DashLine,DotLine,DashDotLine,DashDotDotLine

    The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

scheme.colors.records.subGridPen.width
    Default: 1.0

    Type: double

    Unit: px

    The width of the pen.

    NOTE: scheme.colors.records.states.* Defines the background color of records depending on their state.

scheme.colors.records.states.unrequested
    Default: 00000080

    Type: color

    Additional data which was not requested.

scheme.colors.records.states.requested
    Default: ffff0080

    Type: color

    Requested data Background color of requested data.

scheme.colors.records.states.inProgress
    Default: 00ff0010

    Type: color

    Data currently loading.

scheme.colors.records.states.notAvailable
    Default: ff000080

    Type: color

    Data which was requested but is not available.

scheme.colors.picks.manual
    Default: 00FF00

    Type: color

    The color of manual picks.

scheme.colors.picks.automatic
    Default: FF0000

    Type: color

    The color of automatic picks.

scheme.colors.picks.undefined
    Default: A0A0A4

    Type: color

    The color of picks with undefined state.

scheme.colors.picks.disabled
    Default: A0A0A4

    Type: color

    The color of disabled picks.

scheme.colors.arrivals.manual
    Default: 00A000

    Type: color

    The color of manual arrivals (arrivals that bind manual picks, e.g. residual plot of scolv, manual picker, ...)

scheme.colors.arrivals.automatic
    Default: A00000

    Type: color

    The color of automatic arrivals,

scheme.colors.arrivals.theoretical
    Default: 0000A0

    Type: color

    The color of theoretical arrivals.

scheme.colors.arrivals.undefined
    Default: A00000

    Type: color

    The color of arrivals binding picks with undefined state.

scheme.colors.arrivals.disabled
    Default: A0A0A4

    Type: color

    The color of disabled arrivals.

scheme.colors.arrivals.residuals
    Type: gradient

    The gradient of arrivals residuals. A gradient is defined as a list of tuples separated by colon where the first item is the value and the second is the color. Colors can be given in rgb notation or hexadecimal. When rgb is used, double quotes are needed to protect the comma inside the rgb definition, e.g. -8:"rgb(0,0,100)", -4:"rgb(0,0,255)", -3:"rgb(100,100,255)", ...

scheme.colors.magnitudes.set
    Default: 00A000

    Type: color

    The color of active magnitudes.

scheme.colors.magnitudes.unset
    Default: 000000

    Type: color

    The color of inactive magnitudes.

scheme.colors.magnitudes.disabled
    Default: A0A0A4

    Type: color

    The color of disabled magnitudes.

scheme.colors.magnitudes.residuals
    Type: gradient

    The gradient of magnitude residuals.

scheme.colors.stations.text
    Default: ffffff

    Type: color

    The color of the station name.

scheme.colors.stations.associated
    Default: 82AD58

    Type: color

    The color of associated stations, e.g., in scmv.

scheme.colors.stations.triggering
    Type: color

    The color of triggered stations.

scheme.colors.stations.triggered0
    Type: color

    No description available

scheme.colors.stations.triggered1
    Type: color

    No description available

scheme.colors.stations.triggered2
    Type: color

    No description available

scheme.colors.stations.disabled
    Type: color

    The color of disabled stations.

scheme.colors.stations.idle
    Type: color

    The color of idle stations.

    NOTE: scheme.colors.qc.* The color of QC.delay thresholds in scmv.

scheme.colors.qc.delay0
    Default: 00ffff

    Type: color

    No description available

scheme.colors.qc.delay1
    Default: 00ff00

    Type: color

    No description available

scheme.colors.qc.delay2
    Default: fffd00

    Type: color

    No description available

scheme.colors.qc.delay3
    Default: ff6633

    Type: color

    No description available

scheme.colors.qc.delay4
    Default: ff0000

    Type: color

    No description available

scheme.colors.qc.delay5
    Default: cccccc

    Type: color

    No description available

scheme.colors.qc.delay6
    Default: 999999

    Type: color

    No description available

scheme.colors.qc.delay7
    Default: 666666

    Type: color

    No description available

scheme.colors.qc.qcWarning
    Default: ffff00

    Type: color

    No description available

scheme.colors.qc.qcError
    Default: ff0000

    Type: color

    No description available

scheme.colors.qc.qcOk
    Default: 00ff00

    Type: color

    No description available

scheme.colors.qc.qcNotSet
    Default: 000000

    Type: color

    No description available

    NOTE: scheme.colors.gm.* The color of ground motion amplitudes in scmv.

scheme.colors.gm.gm0
    Type: color

    No description available

scheme.colors.gm.gm1
    Type: color

    No description available

scheme.colors.gm.gm2
    Type: color

    No description available

scheme.colors.gm.gm3
    Type: color

    No description available

scheme.colors.gm.gm4
    Type: color

    No description available

scheme.colors.gm.gm5
    Type: color

    No description available

scheme.colors.gm.gm6
    Type: color

    No description available

scheme.colors.gm.gm7
    Type: color

    No description available

scheme.colors.gm.gm8
    Type: color

    No description available

scheme.colors.gm.gm9
    Type: color

    No description available

scheme.colors.gm.gmNotSet
    Type: color

    No description available

scheme.colors.recordView.selectedTraceZoom
    Default: C0C0FFC0

    Type: color

    The color of the selected zoom area, e.g., in scolv picker.

scheme.colors.legend.background
    Type: color

    The map legend background color.

scheme.colors.legend.border
    Type: color

    The map legend border color.

scheme.colors.legend.text
    Type: color

    The map legend text color.

scheme.colors.legend.headerText
    Type: color

    The map legend header color.

    NOTE: scheme.colors.originSymbol.* Parameters controlling the color of origin symbols. The size is controlled by the parameters "scheme.mag.originSymbol".*

scheme.colors.originSymbol.classic
    Default: false

    Type: boolean

    No description available

scheme.colors.originSymbol.depth.gradient
    Default: 0:FF0000,50:ffA500,100:FFFF00,250:00FF00,600:0000FF

    Type: gradient

    The depth gradient.

scheme.colors.originSymbol.depth.discrete
    Default: true

    Type: boolean

    Setting this parameter to true will not interpolate between the depth steps and the color for a depth <= input is used.

    NOTE: scheme.colors.originStatus.* The origin status colors, e.g., in event lists.

scheme.colors.originStatus.automatic
    Type: color

    No description available

scheme.colors.originStatus.manual
    Type: color

    No description available

    NOTE: scheme.colors.splash.* Defines colors used in the splash screen shown at application startup.

scheme.colors.splash.message
    Default: 808080

    Type: color

    Text color of the message string.

scheme.colors.splash.version
    Default: 02589e

    Type: color

    Text color of the version string.

scheme.marker.lineWidth
    Type: int

    Unit: px

    The line width of the marker, e.g., picks of scolv picker).

scheme.records.lineWidth
    Default: 1

    Type: int

    Unit: px

    The line width of the records/traces.

scheme.records.antiAliasing
    Default: true

    Type: boolean

    Configures antialiasing of records/traces. Antialiasing needs more two times to storage space as non antialiasing but it improves visual quality.

scheme.records.optimize
    Default: true

    Type: boolean

    Configures optimization of trace polylines. If activated, lines on the same pixel line or same pixel row collapse into single lines.

scheme.records.showEngineeringValues
    Default: true

    Type: boolean

    Shows numerical values in the vertical axis and the min/mean values between 0 and 1000 with a unit prefix such as m (milli) or M (mega).

    Supported prefixes are: Q (queta = 10**30), R (ronna = 10**27), Y (yotta = 10**24), Z (zetta = 10**21), E (exa = 10**18), P (peta = 10**15), T (tera = 10**12), G (giga = 10**9), M (mega = 10**6), k (kilo = 10**3), m (milli = 10**-3), µ (micro = 10**-6), n (nano = 10**-9), p (pico = 10**-12), f (femto = 10**-15), a (atto = 10**-18), z (zepto = 10**-21), y (yocto = 10**-24), r (ronto = 10**-27), q (quekto = 10**-30).

scheme.records.borders.drawMode
    Default: box

    Type: string

    Values: topline,box,bottomline

    Mode for drawing record borders as box or line on top or bottom.

    Supported values: "topline","box","bottomline"

    NOTE: scheme.fonts.base.* The general base font of an application. This overrides the default Qt application font.

scheme.fonts.base.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.base.size
    Type: int

    Defines the point size of the font.

scheme.fonts.base.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.base.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.base.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.base.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.small.* The smallest available font. If undefined, the point size is 2 points smaller than the base font.

scheme.fonts.small.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.small.size
    Type: int

    Defines the point size of the font

scheme.fonts.small.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.small.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.small.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.small.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.normal.* The default text font. If undefined, the point size is 2 points larger than the base font.

scheme.fonts.normal.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.normal.size
    Type: int

    Defines the point size of the font.

scheme.fonts.normal.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.normal.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.normal.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.normal.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.large.* The largest text font. If undefined, the point size is 6 points larger than the base font.

scheme.fonts.large.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.large.size
    Type: int

    Defines the point size of the font

scheme.fonts.large.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.large.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.large.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.large.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.highlight.* Font used to highlight text. If undefined, it equals the normal font except for a bold font face.

scheme.fonts.highlight.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.highlight.size
    Type: int

    Defines the point size of the font

scheme.fonts.highlight.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.highlight.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.highlight.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.highlight.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.heading1.* The largest heading font. If undefined, it uses a bold font face and a font size twice as large as the normal font.

scheme.fonts.heading1.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.heading1.size
    Type: int

    Defines the point size of the font.

scheme.fonts.heading1.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.heading1.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.heading1.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.heading1.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.heading2.* The second largest heading font. If undefined, it uses a bold font face and a font size twice as large as the base font.

scheme.fonts.heading2.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.heading2.size
    Type: int

    Defines the point size of the font.

scheme.fonts.heading2.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.heading2.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.heading2.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.heading2.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.heading3.* The smallest heading font. If undefined, it uses a bold font face and a font size 4 points larger than the base font.

scheme.fonts.heading3.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.heading3.size
    Type: int

    Defines the point size of the font

scheme.fonts.heading3.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.heading3.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.heading3.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.heading3.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.cityLabels.* Font used for city labels. If undefined, it equals the base font.

scheme.fonts.cityLabels.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.cityLabels.size
    Type: int

    Defines the point size of the font.

scheme.fonts.cityLabels.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.cityLabels.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.cityLabels.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.cityLabels.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.splashVersion.* Font used for version string in the splash dialog shown at application startup. If undefined, it equals the base font with a bold font face and a font size of 12.

scheme.fonts.splashVersion.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.splashVersion.size
    Type: int

    Defines the point size of the font.

scheme.fonts.splashVersion.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.splashVersion.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.splashVersion.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.splashVersion.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.fonts.splashMessage.* Font used for the message text in the splash dialog shown at application startup. If undefined, it equals the base font with a font size of 12.

scheme.fonts.splashMessage.family
    Type: string

    Sets the family name of the font. The name is case insensitive and may include a foundry name.

scheme.fonts.splashMessage.size
    Type: int

    Defines the point size of the font.

scheme.fonts.splashMessage.bold
    Default: false

    Type: boolean

    No description available

scheme.fonts.splashMessage.italic
    Default: false

    Type: boolean

    No description available

scheme.fonts.splashMessage.underline
    Default: false

    Type: boolean

    No description available

scheme.fonts.splashMessage.overline
    Default: false

    Type: boolean

    No description available

    NOTE: scheme.precision.* Display values with the precisions configured as the number of decimal places.

scheme.precision.depth
    Default: 0

    Type: int

    The precision of depth values.

scheme.precision.distance
    Default: 1

    Type: int

    The precision of distance values. This parameter only applies if scheme.unit.distanceInKM = true.

scheme.precision.location
    Default: 2

    Type: int

    The precision of latitude/longintude values.

scheme.precision.magnitude
    Default: 1

    Type: int

    The precision of magnitude values.

scheme.precision.originTime
    Default: 0

    Type: int

    The precision of origin times and creation times of origins and focal mechanisms.

scheme.precision.pickTime
    Default: 1

    Type: int

    The precision of pick times.

scheme.precision.traceValues
    Default: 1

    Type: int

    Precision of displayed offset/amplitude in all trace widgets.

scheme.precision.rms
    Default: 1

    Type: int

    Precision of RMS values.

scheme.precision.uncertainties
    Default: 0

    Type: int

    Precision of uncertainty values, e.g., for latitude and longitude.

scheme.unit.distanceInKM
    Default: false

    Type: boolean

    Display distances in km?

scheme.dateTime.useLocalTime
    Default: false

    Type: boolean

    Display times in localtime. If disabled all times are shown in UTC which is also the time zone of all values stored in the database.

    NOTE: scheme.splash.* Defines the appearance of the splash screen shown at application startup.

    NOTE: scheme.splash.message.* Position of the message text.

scheme.splash.message.align
    Default: 44

    Type: int

    Qt::Alignment bit mask. Default: AlignHCenter | AlignBottom

    NOTE: scheme.splash.message.pos.* Position in screen coordinates.

scheme.splash.message.pos.x
    Default: 200

    Type: int

    Unit: px

    Horizontal position.

scheme.splash.message.pos.y
    Default: 260

    Type: int

    Unit: px

    Vertical position.

    NOTE: scheme.splash.version.* Position of the version string

scheme.splash.version.align
    Default: 34

    Type: int

    Qt::Alignment bit mask. Default: AlignRight | AlignBottom

    NOTE: scheme.splash.version.pos.* Position in screen coordinates.

scheme.splash.version.pos.x
    Default: 362

    Type: int

    Unit: px

    Horizontal position.

scheme.splash.version.pos.y
    Default: 190

    Type: int

    Unit: px

    Vertical position.

    NOTE: events.timeAgo.* Defines maximum age of events to load. The value of all parameters are aggregated.

events.timeAgo.days
    Default: 1

    Type: int

    Unit: d

    Age in days.

events.timeAgo.hours
    Default: 0

    Type: int

    Unit: h

    Age in hours.

events.timeAgo.minutes
    Default: 0

    Type: int

    Unit: m

    Age in minutes.

events.timeAgo.seconds
    Default: 0

    Type: int

    Unit: s

    Age in seconds.

    NOTE: mode.* Configuration of special applications modes.

mode.interactive
    Default: true

    Type: boolean

    Defines if application interaction is allowed.

mode.fullscreen
    Default: false

    Type: boolean

    Defines if the application should be launched in fullscreen mode hiding title bar, main menu and status bar.

picker.filters
    Default: "BP 0.1 - 1 Hz 3rd order;RMHP(10)>>ITAPER(30)>>BW(3,0.1,1)", "BP 0.1 - 2 Hz 3rd order;RMHP(10)>>ITAPER(30)>>BW(3,0.1,2)", "BP 1 - 3 Hz 3rd order;RMHP(10)>>ITAPER(30)>>BW(3,1.0,3)", "BP 0.4 - 1 Hz 3rd order;RMHP(10)>>ITAPER(30)>>BW(3,0.4,1)", "@BP 0.7 - 2 Hz 3rd order;RMHP(10)>>ITAPER(30)>>BW(3,0.7,2)", "BP 2 - 4 Hz 3rd order;RMHP(5)>>ITAPER(10)>>BW(3,2.0,4)", "BP 3 - 6 Hz 3rd order;RMHP(5)>>ITAPER(10)>>BW(3,3.0,6)", "BP 4 - 8 Hz 3rd order;RMHP(5)>>ITAPER(10)>>BW(3,4.0,8)", "BP 1 - 5 Hz 3rd order;RMHP(5)>>ITAPER(10)>>BW(3,1.0,5)", "HP 3 Hz 3rd order;RMHP(1)>>ITAPER(2)>>BW_HP(3,3)", "BP 0.7 - 2 Hz + STA/LTA(1,50);RMHP(10)->ITAPER(30)->BW(3,0.7,2)->STALTA(1,50)"

    Type: list:string

    Configures the default filters selectable in manual picker. The entry with a leading "@" is selected as default filter.

    NOTE: eventlist.* Control the Events tab, e.g. in scolv, showing the list of loaded events.

eventlist.visibleColumns
    Default: M,MType,Phases,RMS,Lat,Lon,Depth,Stat,Agency,Region,ID

    Type: list:string

    Values: TimeAgo,Certainty,Type,M,MType,RMS,AzGap,Phases,Lat,Lon,Depth,DType,Stat,FM,Origins,Agency,Author,Region,ID

    Configure the columns of the event list that are visible initially. The first column containing the origin time is always visible and cannot be hidden.

    Custom columns can be added by eventlist.customColumn.* or eventlist.scripts.* parameters.

    NOTE: eventlist.customColumn.* Custom column showing origin or event comments.

eventlist.customColumn.name
    Type: string

    Name of the custom column to be shown in the column header.

eventlist.customColumn.originCommentID
    Type: string

    ID of the origin comment to look up.

eventlist.customColumn.eventCommentID
    Type: string

    ID of the event comment to look up.

    originCommentID, if configured, takes priority.

eventlist.customColumn.pos
    Default: -1

    Type: int

    Position of the column. If the configured position is less than 0 or if it exceeds the total number of columns, then the column is appended to the right.

eventlist.customColumn.default
    Type: string

    Default value to display if the specified origin or event comment id was not found.

eventlist.customColumn.colors
    Type: list:string

    Mapping of comment values to colors used as text color. E.g. "foo:#000,bar:red".

    NOTE: eventlist.scripts.* Custom columns showing parameters extracted by scripts e.g. from origins or events.

eventlist.scripts.export
    Type: file

    Defines the export script to be called with the selected event IDs in stdin when the corresponding action is triggered from the context menu of the list of events.

eventlist.scripts.columns
    Type: list:string

    Name of custom column profiles to be registered. Comma separated list.

    NOTE: eventlist.scripts.column.* Definition of custom column profiles for creating custom event list columns whose values are filled by external scripts. The scolv documentation provides an example script.

    NOTE: eventlist.scripts.column.$name.* $name is a placeholder for the name to be used and needs to be added to eventlist.scripts.profiles to become active.

    eventlist.scripts.profiles = a,b
    eventlist.scripts.column.a.value1 = ...
    eventlist.scripts.column.b.value1 = ...
    # c is not active because it has not been added
    # to the list of eventlist.scripts.profiles
    eventlist.scripts.column.c.value1 = ...

eventlist.scripts.column.$name.script
    Type: file

    External script to invoke for each event list entry. The object represented by the list entry is serialized to XML and passed to the script on stdin. If the return code of the script is 0 ('success') then the script result is read from stdout and displayed in the corresponding event list cell.

eventlist.scripts.column.$name.pos
    Default: -1

    Type: int

    Position of the column. If the configured position is less than 0 or if it exceeds the total number of columns, then the column is appended to the right.

eventlist.scripts.column.$name.label
    Type: string

    Column name shown in header of event list table.

eventlist.scripts.column.$name.types
    Type: list:string

    Object types passed to the script. Supported values are 'Event' and 'Origin'. Mandatory parameter.

    NOTE: eventlist.filter.agencies.* Filter the loaded event list by agency ID.

eventlist.filter.agencies.label
    Default: "Show only own events"

    Type: string

    Defines the text of the option "Show only own events". Use double quotes '"' around the string if it contains spaces.

eventlist.filter.agencies.whitelist
    Type: list:string

    Sets a list of preferred agencies. Events from preferred agencies are defined as "own" events.

eventlist.filter.agencies.type
    Default: events

    Type: string

    Sets the type of the filter. If type is "events" the agency of the preferred origin of the event is checked. If type is "origins" the agency of all origins of an event is checked and if at least one origins agency is part of the whitelist it will pass the filter. Or in other words, the event is hidden if no origin is from a preferred agency.

eventlist.filter.agencies.enabled
    Default: false

    Type: boolean

    Sets the default state of the "Show only own events" option.

    NOTE: eventlist.filter.regions.* Filter the loaded event list by region within or outside a bounding box. Register the profile name in the regions parameter.

eventlist.filter.regions.profiles
    Type: list:string

    Add the defined region profiles separated by comma. The order determines the ocurrence in the filter menu.

eventlist.filter.regions.enabled
    Default: false

    Type: boolean

    Hide events by the defined region by default.

    NOTE: eventlist.filter.regions.region.$name.* Define a rectangular region to filter the loaded event list. $name is a placeholder for the name to be used and needs to be added to eventlist.filter.regions.profiles to become active.

    eventlist.filter.regions.profiles = a,b
    eventlist.filter.regions.region.a.value1 = ...
    eventlist.filter.regions.region.b.value1 = ...
    # c is not active because it has not been added
    # to the list of eventlist.filter.regions.profiles
    eventlist.filter.regions.region.c.value1 = ...

eventlist.filter.regions.region.$name.name
    Type: string

    Defines the name of the region that shows up in the listbox.

eventlist.filter.regions.region.$name.rect
    Type: list:double

    Defines a rectangular region with a list of 4 values: latmin, lonmin, latmax, lonmax.

eventlist.filter.regions.region.$name.poly
    Type: string

    Defines the name of the polygon for the region check. If defined then the rect region has no effect. The configured polygon name is being search for in the global FEP regions and the spatial vector layer. The first polygon found with the given name will be taken.

    NOTE: eventlist.filter.types.* Filter the loaded event list by event types.

eventlist.filter.types.label
    Default: "Hide other/fake events"

    Type: string

    Defines the text of the option "Hide other/fake events". Use double quotes '"' around the string if it contains spaces.

eventlist.filter.types.blacklist
    Default: "not existing","other"

    Type: list:string

    List of event type to be hidden if the "Hide other/fake events" option is ticked. Use double quotes '"' around the string if it contains spaces.

eventlist.filter.types.enabled
    Default: true

    Type: boolean

    Sets the default state of the "Hide other/fake events" option.

    NOTE: eventlist.filter.database.* Pre-set options to filter a database request to load events into the event list.

eventlist.filter.database.minlat
    Type: double

    Unit: deg

    Minimum latitude

eventlist.filter.database.maxlat
    Type: double

    Unit: deg

    Maximum latitude

eventlist.filter.database.minlon
    Type: double

    Unit: deg

    Minimum longitude

eventlist.filter.database.maxlon
    Type: double

    Unit: deg

    Maximum longitude

eventlist.filter.database.mindepth
    Type: double

    Unit: km

    Minimum depth

eventlist.filter.database.maxdepth
    Type: double

    Unit: km

    Maximum depth

eventlist.filter.database.minphasecount
    Type: int

    Minimum number of phases

eventlist.filter.database.maxphasecount
    Type: int

    Maximum number of phases

eventlist.filter.database.minmag
    Type: double

    Minimum magnitude

eventlist.filter.database.maxmag
    Type: double

    Maximum magnitude

    NOTE: eventlist.timeAgo.* Parameters controlling the appearance of the TimeAgo column.

eventlist.timeAgo.interval
    Default: 1.0

    Type: double

    Unit: s

    Update interval in seconds.

eventlist.timeAgo.background.gradient
    Type: gradient

    Unit: s:color

    Mapping of time values in seconds to colors used as cell backgroud color. E.g., a mapping from green over yellow (5min), red (10min) to transparent (30min) can be expressed as "0:40FF40FF,300:FFFF40FF,600:FF4040FF,1800:FF4040FF,1801:00000000".

eventlist.timeAgo.background.discrete
    Default: true

    Type: boolean

    If time ago value falls between two color positions, the resulting color will be interpolated linearly between both colors by default. When the discrete flag is set, the interpolation will be disabled.

    NOTE: eventedit.* Control the Event tab, e.g. in scolv, showing origins and focal mechanisms of a selected event.

eventedit.triggerFM
    Default: false

    Type: boolean

    Adds button which request the computation of a FocalMechanism solution by sending a JournalEntry message. This feature depends on a FM module, such as scautomt, to be running in background and doing the actual processing.

eventedit.origin.visibleColumns
    Default: Phases,Lat,Lon,Depth,DType,RMS,AzGap,Stat,Method,Agency,Author,Region,ID

    Type: list:string

    Values: Phases,Lat,Lon,Depth,DType,RMS,AzGap,Stat,Method,Agency,Author,Region,ID

    Configure the columns of the event edit origin table that are visible initially. Origin creation time and origin time are always visible. Possible values are:

    Phases, Lat, Lon, Depth, DType, RMS, AzGap, Stat, Method, Agency, Author, Region, ID

    NOTE: eventedit.origin.customColumn.* Custom column showing origin comments.

eventedit.origin.customColumn.name
    Type: string

    Name of the custom column to be shown in the column header.

eventedit.origin.customColumn.originCommentID
    Type: string

    ID of the origin comment to look up.

eventedit.origin.customColumn.pos
    Default: -1

    Type: int

    Position of the column. If the configured position is less than 0 or if it exceeds the total number of columns, then the column is appended to the right.

eventedit.origin.customColumn.default
    Type: string

    Default value to display if the specified origin or event comment id was not found.

eventedit.origin.customColumn.colors
    Type: list:string

    Mapping of comment values to colors used as text color. E.g. "foo:#000,bar:red".

eventedit.fm.visibleColumns
    Default: Depth,M,Count,Misfit,STDR,AzGap,Stat,DC,CLVD,ISO,S1,D1,R1,S2,D2,R2,Agency,Author

    Type: list:string

    Values: Depth,M,Count,Misfit,STDR,AzGap,Stat,DC,CLVD,ISO,S1,D1,R1,S2,D2,R2,Agency,Author

    Configure the columns of the event edit focal mechanism tab that are visible initially.

    Possible values are: Depth, M, Count, Misfit, STDR, AzGap, Stat, DC, CLVD, ISO, S1, D1, R1, S2, D2, R2, Agency, Author

    NOTE: eventsummary.* Parameters controlling the event summary view used e.g. in scolv.

eventsummary.alertTimer.commentId
    Type: string

    Set an alert for every event comment that ID matches the specified regular expression, e.g. "
    alert_
    .*".

eventsummary.alertTimer.commentBlacklist
    Type: list:string

    List of comments to ignore, e.g. "nil".

eventsummary.alertTimer.alertGradient
    Type: list:string

    Unit: s:color

    Discrete mapping of time values in seconds to colors used as text color in case of an active alert. E.g. "0:00FF00,900:FF0000".

eventsummary.alertTimer.textSize
    Type: int

    Unit: pt

    The text size of the time ago label in case of an active alert.

  StdLoc extension

Generic locator plugin for SeisComP.

NOTE: StdLoc.* Locator parameters: StdLoc. This locator requires the plugin "stdloc" to be loaded.

StdLoc.profiles
    Type: list:string

    Defines a list of profiles to make available to the plugin.

    NOTE: StdLoc.profile.$name.* $name is a placeholder for the name to be used and needs to be added to StdLoc.profiles to become active.

    StdLoc.profiles = a,b
    StdLoc.profile.a.value1 = ...
    StdLoc.profile.b.value1 = ...
    # c is not active because it has not been added
    # to the list of StdLoc.profiles
    StdLoc.profile.c.value1 = ...

StdLoc.profile.$name.method
    Default: LeastSquares

    Type: string

    Values: LeastSquares,GridSearch,OctTree,GridSearch+LeastSquares,OctTree+LeastSquares

    The location method to use: LeastSquares, GridSearch, OctTree, GridSearch+LeastSquares or OctTree+LeastSquares.

StdLoc.profile.$name.tableType
    Default: LOCSAT

    Type: string

    Travel time table format type. Also consider "tableModel"!

StdLoc.profile.$name.tableModel
    Default: iasp91

    Type: string

    The model to be used. The format depends on "tableType".

StdLoc.profile.$name.PSTableOnly
    Default: true

    Type: boolean

    If enabled the arrival travel time information are fetched using 'P' and 'S' tables only and the user selected specific phase type is not considered (e.g. Pg, Sg, PmP, SmS, P1, S1, etc).

StdLoc.profile.$name.usePickUncertainties
    Default: false

    Type: boolean

    Use pick time uncertainties rather than a fixed time error of XXX s. If true, an arrival weight is associated according to the uncertainty of the pick and "pickUncertaintyClasses".

StdLoc.profile.$name.pickUncertaintyClasses
    Default: 0.000,0.025,0.050,0.100,0.200,0.400

    Type: list:string

    Unit: s

    Comma-separated list of time limits of uncertainty classes from which, along with pick time uncertainties, arrival weights are computed. The first value defines the lower limit of class 0.

    The interval into which a pick time uncertainty falls defines the index of the uncertainty class starting with 0.

    The corresponding arrival weight is computed as: weight = 1 / 2^(index).

    Example: A pick with a time uncertainty of 0.15 s is within the 4th interval ranging from 0.1 to 0.2 s. The class index is then 3.

    If pick uncertainty is absent, the highest class index applies.

StdLoc.profile.$name.confLevel
    Default: 0.9

    Type: double

    Range: 0.5:1.0

    Confidence level, between 0.5 and 1.0, used in computing the hypocenter confidence ellipsoid.

StdLoc.profile.$name.enableConfidenceEllipsoid
    Default: false

    Type: boolean

    Compute the hypocenter confidence ellipsoid. Disable this optional parameter to save some computation time.

    NOTE: StdLoc.profile.$name.GridSearch.* Parameters controlling the GridSearch and OctTree methods.

StdLoc.profile.$name.GridSearch.center
    Default: auto,auto,20

    Type: list:string

    Unit: deg,deg,km

    Grid center defined as: latitude,longitude,depth. The special value "auto" can be used and the corresponding latitude, longitude and/or depth will be automatically computed as the average of the arrival station locations.

StdLoc.profile.$name.GridSearch.size
    Default: 40,40,30

    Type: list:string

    Unit: km

    Grid size in km defined as: X,Y,Z direction extents around the "GridSearch.center", where X is the longitudinal extent, Y the latitudinal extent and Z the vertical extent.

StdLoc.profile.$name.GridSearch.numPoints
    Type: list:string

    Number of grid points in X, Y, Z direction. The first and last points are on the grid boundary unless the number of points is 1 and the point will be in the grid center.

    Format: numX,numY,numZ.

StdLoc.profile.$name.GridSearch.misfitType
    Default: L1

    Type: string

    Values: L1,L2

    The type of misfit to use, from which the likelihood function is derived: L1 or L2 norm. L1 is less sensitive to outliers and so more suitable with automatic picks, L2 is the preferred choice for manual picks.

StdLoc.profile.$name.GridSearch.travelTimeError
    Default: 0.25

    Type: double

    Unit: s

    Typical error in seconds for travel times to stations. The value affects the uncertainty of the location. In OctTree it also influences the probability density computation: too conservative values increase the number of iterations required by OctTree to converge to a high resolution solution.

    NOTE: StdLoc.profile.$name.OctTree.* Parameters controlling the OctTree method. OctTree uses the parameters defined in GridSearch, but applies the OctTree search algorithm on the grid. The starting cells of the OctTree search are created by dividing the initial grid in equally sized cells. The grid points becomes the cell vertices. Resulting number of cells in each direction: "GridSearch.numPoints" - 1.

StdLoc.profile.$name.OctTree.maxIterations
    Default: 50000

    Type: int

    Maximum number of iterations after which the search stops. Zero or negatives values disable the stopping.

StdLoc.profile.$name.OctTree.minCellSize
    Default: 0.1

    Type: double

    Unit: km

    Minimum cell size to be generate by the OctTree search to stop. A zero or negative value disable this stopping mechanism.

    NOTE: StdLoc.profile.$name.LeastSquares.* Parameters controlling the LeastSquares method.

StdLoc.profile.$name.LeastSquares.depthInit
    Default: 20

    Type: double

    The initial depth estimate when no initial hypocenter is provided. Used only with 'LeastSquares'.

StdLoc.profile.$name.LeastSquares.iterations
    Default: 20

    Type: int

    Number of iterations. Each iteration will use the location and time from the previous Least Squares solution.

StdLoc.profile.$name.LeastSquares.dampingFactor
    Default: 0.0

    Type: double

    Damping factor to be used when solving the system of equations.

    0: no damping.

StdLoc.profile.$name.LeastSquares.solverType
    Default: LSMR

    Type: string

    Values: LSMR,LSQR

    Algorithm to use: either LSMR or LSQR.

  LocExt extension

Locator which forwards the processing to external scripts

NOTE: ExternalLocator.* Locator parameters: External. This locator requires the plugin "locext" to be loaded.

ExternalLocator.profiles
    Type: list:string

    A list of profiles defined as tuples of name and path to a script separated by colon.

  LocRouter extension

Meta locator routing location requests of picks and origins to actual locator implementations.

NOTE: RouterLocator.* Locator parameters: Router. This locator requires the plugin "locrouter" to be loaded.

RouterLocator.regions
    Type: file

    A GeoJSON or BNA file defining locator profiles by region. Supported polygon attributes:

    name: Name of polygon

    locator: Name of the locator interface

    profile: Name of the locator specific profile

    minDepth: Minimum depth in km

    maxDepth: Minimum depth in km

    NOTE: RouterLocator.initial.* Configuration of initial locator used to create an initial solution based on a pick set. If a solution is found, relocate of the actual locator configured in the region file is invoked.

RouterLocator.initial.locator
    Type: string

    Name of the initial locator interface, e.g., LOCSAT.

RouterLocator.initial.profile
    Type: string

    Profile name of the initial locator, e.g., iasp91.

  LOCSAT extension

Locator in SeisComP for computing source time and hypocenter coordinates from phase picks.

NOTE: LOCSAT.* Locator parameters: LOCSAT

LOCSAT.profiles
    Default: iasp91, tab

    Type: list:string

    Defines a list of available LOCSAT travel-time tables.

LOCSAT.depthInit
    Default: 20.0

    Type: double

    Unit: km

    The initial depth estimate for LOCSAT.

LOCSAT.usePickUncertainties
    Default: false

    Type: boolean

    Whether to use pick time untertainties for arrival deltim rather than a fixed time error. If true then the uncertainties are retrieved from each individual pick object. If they are not defined then the default pick time uncertainty will be used as fallback.

LOCSAT.defaultTimeError
    Default: 1.0

    Type: double

    Unit: s

    The default pick time uncertainty assigned to LOCSAT's arrival deltim attribute if pick uncertainties are not going to be used or if they are absent. A time uncertainty of 0 s may result in errors of the SVD decomposition in LOCSAT.

LOCSAT.usePickBackazimuth
    Default: true

    Type: boolean

    Whether to forward pick backazimuth to LOCSAT or not. In an automatic mode backazimuth measurements might be inaccurrate and disabling their usage in LOCSAT can be controlled with this parameter.

LOCSAT.usePickSlowness
    Default: true

    Type: boolean

    Whether to forward pick horizontal slowness to LOCSAT or not. In an automatic mode slowness measurements might be inaccurrate and disabling their usage in LOCSAT can be controlled with this parameter.

LOCSAT.degreesOfFreedom
    Default: 9999

    Type: int

    Number of degrees of freedom.

LOCSAT.confLevel
    Default: 0.9

    Type: double

    Confidence level between 0.5 and 1.0.

LOCSAT.enableConfidenceEllipsoid
    Default: false

    Type: boolean

    Compute the confidence ellipsoid from covariance matrix in 3D.

  FixedHypocenter extension

Locator for re-computing source time with fixed hypocenter

NOTE: FixedHypocenter.* Locator parameters: FixedHypocenter

FixedHypocenter.profiles
    Default: LOCSAT/iasp91,LOCSAT/tab

    Type: list:string

    Defines a list of available travel time tables. Each item is a tuple separated by a slash with format "[interface]/[model]". Built-in interfaces are "LOCSAT" and "libtau". Other interfaces might be added via plugins. Please check their documentation for the required interface name.

FixedHypocenter.lat
    Type: double

    The fixed latitude to use. If not set then this value is read from the input origin.

FixedHypocenter.lon
    Type: double

    The fixed longitude to use. If not set then this value is read from the input origin.

FixedHypocenter.depth
    Type: double

    The fixed depth to use. If not set then this value is read from the input origin.

FixedHypocenter.time
    Type: string

    The fixed time to use. If not set then this value is read from the input origin.

FixedHypocenter.usePickUncertainties
    Default: false

    Type: boolean

    Whether to use pick time uncertainties rather than a fixed time error. If true, then the uncertainties are retrieved from each individual pick object. If they are not defined, then the default pick time uncertainty as defined by defaultTimeError will be used instead.

FixedHypocenter.defaultTimeError
    Default: 1.0

    Type: double

    Unit: s

    The default pick time uncertainty if pick uncertainties are not going to be used or if they are absent.

FixedHypocenter.degreesOfFreedom
    Default: 8

    Type: int

    Number of degrees of freedom used for error estimate.

FixedHypocenter.confLevel
    Default: 0.9

    Type: double

    Confidence level between 0.5 and 1.

BINDINGS PARAMETERS

detecLocid
    Type: string

    The sensor location code of the preferred stream used e.g. by scautopick and scrttv.

detecStream
    Type: string

    The channel code of the preferred stream used by e.g. scautopick and scrttv. If no component code is given, the vertical component will be fetched from inventory considering the channel orientation (azimuth, dip). If that approach fails, 'Z' will be appended and used as fallback. Do not use regular expressions!

    NOTE: amplitudes.* Define general parameters for amplitudes of a certain type. Create amplitude type profiles to define the time windows, minimum signal-to-noise ratio, amplitude thresholds and restitution for measuring amplitudes of a certain type. ** Standard amplitude types supported in SeisComP: Md,Mjma,ML,MLc,MLh,MLr,MLv,MN,mb,mB,Mwp,Ms_20,Ms(BB).

amplitudes.saturationThreshold
    Default: false

    Type: string

    Unit: counts; %

    Define the saturation threshold for the optional saturation check. By default, the saturation check is disabled but giving a value above 0 will enable it. Waveforms with raw amplitudes above the threshold will then be considered saturated and not used for amplitude calculations.

    This value can either be an absolute value of counts such as "100000" counts or a relative value (optionally in percent) with respect to the number of effective bits, e.g., "0.8@23" or "80%@23". The first and the second version represent 0.8 * 2**23 and 80/100 * 2**23, respectively, which is the same.

    The boolean value "false" explicitly disables the check.

amplitudes.enable
    Default: true

    Type: boolean

    Define if amplitude calculation is enabled. If disabled, this station will be skipped for amplitudes and magnitudes.

amplitudes.enableResponses
    Default: false

    Type: boolean

    Activate deconvolution for this station. If no responses are configured, an error is raised and the data is not processed. This flag will be overridden by the type specific flag (see GlobalAmplitudeProfile).

    NOTE: amplitudes.$name.* An amplitude profile configures global parameters for a particular amplitude type. The available amplitude types are not fixed and can be extended by plugins. The name of the type must match the one defined in the corresponding AmplitudeProcessor. $name is a placeholder for the name to be used.

amplitudes.$name.saturationThreshold
    Default: false

    Type: string

    Unit: counts; %

    Define the saturation threshold for the optional saturation check. By default, the saturation check is disabled but giving a value above 0 will enable it. Waveforms with raw amplitudes above the threshold will then be considered saturated and not used for amplitude calculations.

    This value can either be an absolute value of counts such as "100000" counts or a relative value (optionally in percent) with respect to the number of effective bits, e.g., "0.8@23" or "80%@23". The first and the second version represent 0.8 * 2**23 and 80/100 * 2**23, respectively, which is the same.

    The boolean value "false" explicitly disables the check.

amplitudes.$name.enable
    Default: true

    Type: boolean

    Define if amplitude calculation of certain type is enabled.

amplitudes.$name.enableResponses
    Default: false

    Type: boolean

    Activate deconvolution for this amplitude type. If not set, the global flag "amplitudes.enableResponses" will be used instead.

amplitudes.$name.minSNR
    Default: 3

    Type: double

    Define the minimum SNR to be reached to compute the amplitudes. This value is amplitude type specific and has no global default value.

amplitudes.$name.minPeriod
    Type: double

    Unit: s

    Define the minimum period of the measured amplitude. If the period is below this value, the amplitude will not be emitted. This value is specific to amplitude type and has no global default value. A value lower or equal than 0 will disable this check.

    Caution: If a value is set but the amplitude does not provide the period, no amplitude is sent.

amplitudes.$name.maxPeriod
    Type: double

    Unit: s

    Define the maximum period of the measured amplitude. If the period is above this value, the amplitude will not be emitted. This value is specific to amplitude type and has no global default value. A value lower or equal than 0 will disable this check.

    Caution: If a value is set but the amplitude does not provide the period, no amplitude is sent.

amplitudes.$name.noiseBegin
    Default: -35

    Type: string

    Unit: time grammar

    Override the default time (relative to the trigger time) of the begin of the noise window used to compute the noise offset and noise amplitude. Each amplitude processor sets its own noise time window and this option should only be changed if you know what you are doing.

amplitudes.$name.noiseEnd
    Default: -5

    Type: string

    Unit: time grammar

    Override the default time (relative to the trigger time) of the end of the noise window used to compute the noise offset and noise amplitude. Each amplitude processor sets its own noise time window and this option should only be changed if you know what you are doing.

amplitudes.$name.signalBegin
    Default: -5

    Type: string

    Unit: time grammar

    Override the default time (relative to the trigger time) of the begin of the signal window used to compute the final amplitude. Each amplitude processor sets its own signal time window and this option should only be changed if you know what you are doing.

amplitudes.$name.signalEnd
    Default: 30

    Type: string

    Unit: time grammar

    Override the default time (relative to the trigger time) of the end of the signal window used to compute the final amplitude. Each amplitude processor sets its own signal time window and this option should only be changed if you know what you are doing.

amplitudes.$name.minDist
    Default: 0

    Type: string

    Unit: deg

    The minimum distance required to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on amplitude type.

    Although the default unit is 'deg', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    minDist = 500km

amplitudes.$name.maxDist
    Default: 180

    Type: string

    Unit: deg

    The maximum distance allowed to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on amplitude type.

    Although the default unit is 'deg', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    maxDist = 500km

amplitudes.$name.minDepth
    Default: -1000000

    Type: string

    Unit: km

    The minimum depth required to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on amplitude type.

    Although the default unit is 'km', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    minDepth = 500km

amplitudes.$name.maxDepth
    Default: 1000000

    Type: string

    Unit: km

    The maximum depth allowed to compute an amplitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on amplitude type.

    Although the default unit is 'km', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    maxDepth = 500km

    NOTE: amplitudes.$name.resp.* Several parameters if usage of full responses is enabled.

amplitudes.$name.resp.taper
    Default: 5

    Type: double

    Unit: s

    Define the length of the taper at either side of the waveform. The length will be added to the data request: start - taper and end + taper.

amplitudes.$name.resp.minFreq
    Default: 0.00833333

    Type: double

    Unit: Hz

    After data are converted in to the frequency domain that minimum frequency defines the end of the left-side cosine taper for the frequency spectrum. The taper applies from 0 Hz to {minFreq} Hz. A value of 0 or lower disables that taper.

amplitudes.$name.resp.maxFreq
    Default: 0

    Type: double

    Unit: Hz

    After data are converted in to the frequency domain that maximum frequency defines the start of the right-side cosine taper for the frequency spectrum. The taper applies from {maxFreq} Hz to {fNyquist} Hz. A value of 0 or lower disables that taper.

    NOTE: amplitudes.resp.* Several parameters if usage of full responses is enabled. The parameters of this group will be overridden by type specific settings if given (see GlobalAmplitudeProfile).

amplitudes.resp.taper
    Default: 5

    Type: double

    Unit: s

    Define the length of the taper at either side of the waveform. The length will be added to the data request: start - taper and end + taper.

amplitudes.resp.minFreq
    Default: 0.00833333

    Type: double

    Unit: Hz

    The minimum frequency of the considered spectrum.

    After data is converted into the frequency domain that minimum frequency defines the end of the left-side cosine taper applied to the spectrum. The taper applies from 0 Hz to {minFreq} Hz. A value of 0 or lower disables that taper.

amplitudes.resp.maxFreq
    Default: 0

    Type: double

    Unit: Hz

    The maximum frequency of the considered spectrum.

    After data are converted in to the frequency domain that maximum frequency defines the start of the right-side cosine taper applied to the spectrum. The taper applies from {maxFreq} Hz to {fNyquist} Hz. A value of 0 or lower disables that taper.

    NOTE: amplitudes.ttt.* Travel time table specific parameters to be used for the computation of travel times referred to in signal and noise time window specifications, e.g. "signalBegin".

amplitudes.ttt.interface
    Default: LOCSAT

    Type: string

    Values: libtau,LOCSAT,homogeneous

    The name of the travel-time interface to use. The list can be extended by plugins.

amplitudes.ttt.model
    Default: iasp91

    Type: string

    The name of the travel-time interface (velocity) model to use.

    NOTE: amplitudes.WoodAnderson.* Parameters of the Wood-Anderson seismometer response used for instrument simulation. The default values are according to Uhrhammer and Collins (1990) and were part of the IASPEI Magnitude Working Group recommendations of 2011 September 9.

amplitudes.WoodAnderson.gain
    Default: 2080

    Type: double

    The gain of the Wood-Anderson response.

amplitudes.WoodAnderson.T0
    Default: 0.8

    Type: double

    Unit: s

    The eigenperiod of the Wood-Anderson seismometer.

amplitudes.WoodAnderson.h
    Default: 0.7

    Type: double

    The damping constant of the Wood-Anderson seismometer.

    NOTE: magnitudes.* Define the calibration parameters and constraints for computing magnitudes from measured amplitudes including static corrections. The parameters are independent of amplitude-type profiles. ** Standard magnitude types supported in SeisComP: Md,Mjma,ML,MLc,MLh,MLr,MLv,MN,mb,mB,Mwp,Ms_20,Ms(BB).

    NOTE: magnitudes.$name.* A magnitude profile configures global parameters for a particular magnitude type. The available magnitude types are not fixed and can be extended by plugins. The name of the type must match the one defined in the corresponding MagnitudeProcessor. $name is a placeholder for the name to be used.

magnitudes.$name.multiplier
    Default: 1

    Type: list:string

    Part of the magnitude station correction. The final magnitude value is multiplier*M+offset. This value can be regionalized with name-value pairs. The name is the name of the region. Without a name the value is the default without regionalization. Example: "1.0, regionA: 0.9, regionB: 1.1".

magnitudes.$name.offset
    Default: 0

    Type: list:string

    Part of the magnitude station correction. The final magnitude value is multiplier*M+offset. This value can be regionalized with name-value pairs. The name is the name of the region. Without a name the value is the default without regionalization. Example: "0.0, regionA: -0.1, regionB: 0.2".

magnitudes.$name.minDist
    Type: string

    Unit: deg

    The minimum distance in degree required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

    Although the default unit is 'deg', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    minDist = 500km

magnitudes.$name.maxDist
    Type: string

    Unit: deg

    The maximum distance in degree allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to compute the distance. The default value depends on magnitude type.

    Although the default unit is 'deg', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

magnitudes.$name.minDepth
    Type: string

    Unit: km

    The minimum depth required to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

    Although the default unit is 'km', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    minDepth = 500km

magnitudes.$name.maxDepth
    Type: string

    Unit: km

    The maximum depth allowed to compute a magnitude. This settings has no effect with e.g. scautopick as there is no information about the source of the event to retrieve the depth. The default value depends on magnitude type.

    Although the default unit is 'km', values can be given in any SI distance unit such km, m or cm by simply appending the unit to the value.

    Example:

    maxDepth = 500km

magnitudes.$name.minSNR
    Type: double

    The minimum SNR required for a magnitude to pass the QC check. The station magnitude will be computed anyway but if the SNR is below this threshold it will be associated with weight zero and will not contribute to the network magnitude. If this value is set then it overrides the regionalized setting.

magnitudes.$name.minPeriod
    Type: double

    Unit: s

    The minimum period required for a magnitude to pass the QC check. The station magnitude will be computed anyway but if the period is below this threshold it will be associated with weight zero and will not contribute to the network magnitude. If this value is set, then it overrides the regionalized setting.

    Caution: If a value is set but the amplitude does not provide the period, no magnitude is computed.

magnitudes.$name.maxPeriod
    Type: double

    Unit: s

    The maximum period allowed for a magnitude to pass the QC check. The station magnitude will be computed anyway but if the period is above this threshold it will be associated with weight zero and will not contribute to the network magnitude. If this value is set, then it overrides the regionalized setting.

    Caution: If a value is set but the amplitude does not provide the period, no magnitude is computed.

    NOTE: picker.* Parameters controlling the second-stage picker for re-picking P phases after an initial detection.

    NOTE: picker.AIC.* AIC picker is an implementation using the simple non-AR algorithm of Maeda (1985), see paper of Zhang et al. (2003) in BSSA. The picker interface name to be used in configuration files, e.g. of scautopick, is "AIC".

picker.AIC.noiseBegin
    Default: 0

    Type: double

    Unit: s

    Override the relative data acquisition time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

picker.AIC.signalBegin
    Default: -30

    Type: double

    Unit: s

    Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.AIC.signalEnd
    Default: 10

    Type: double

    Unit: s

    Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.AIC.filter
    Type: string

    Override the default filter which is "raw". The typical filter grammar can be used.

picker.AIC.minSNR
    Default: 3

    Type: double

    Mininum SNR as returned from AIC for accepting picks.

    NOTE: picker.BK.* Bkpicker is an implementation of the Baer/Kradolfer picker adapted to SeisComP. It was created by converting Manfred Baers from FORTRAN to C++ and inserting it as a replacement for the picker algorithm. The picker interface name to be used in configuration files, e.g. of scautopick,is "BK".

picker.BK.noiseBegin
    Default: 0

    Type: double

    Unit: s

    Override the relative data acquisition time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

picker.BK.signalBegin
    Default: -20

    Type: double

    Unit: s

    Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.BK.signalEnd
    Default: 80

    Type: double

    Unit: s

    Override the default time (relative to the trigger time) of the begin of the signal window used to pick.

picker.BK.filterType
    Default: BP

    Type: string

    BP (bandpass) is currently the only option.

picker.BK.filterPoles
    Default: 2

    Type: int

    Number of poles.

picker.BK.f1
    Default: 5

    Type: double

    Unit: Hz

    Bandpass lower cutoff freq. in Hz.

picker.BK.f2
    Default: 20

    Type: double

    Unit: Hz

    Bandpass upper cutoff freq. in Hz.

picker.BK.thrshl1
    Default: 10

    Type: double

    Threshold to trigger for pick (c.f. paper), default 10

picker.BK.thrshl2
    Default: 20

    Type: double

    Threshold for updating sigma (c.f. paper), default 20

    NOTE: spicker.* Parameters controlling the secondary picker. Example: for picking S phases.

    NOTE: spicker.L2.* L2 is an algorithm to pick S-phases based on existing P-phases. It works by creating the L2 norm of the two filtered horizontal components and then running the `detecFilter` on the L2 trace to find the S pick. Finally AIC is applied around the detected pick time to refine the detection. The picker name to be used in configuration files is "S-L2".

spicker.L2.noiseBegin
    Default: -10

    Type: double

    Unit: s

    Override the relative data processing start time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

spicker.L2.signalBegin
    Default: 0

    Type: double

    Unit: s

    Override the relative start time (relative to the triggering pick) of the begin of the signal processing.

spicker.L2.signalEnd
    Default: 60

    Type: double

    Unit: s

    Override the relative end time (relative to the triggering pick) of the end of the signal window used to pick.

spicker.L2.filter
    Default: BW(4,0.3,1.0)

    Type: string

    Configure the filter used to process the horizontal components traces before computing the L2-norm.

spicker.L2.detecFilter
    Default: STALTA(1,10)

    Type: string

    Configure the detector filter applied on the filtered L2 trace.

spicker.L2.threshold
    Default: 3

    Type: double

    The detector threshold that triggers the AIC picker.

spicker.L2.timeCorr
    Default: 0

    Type: double

    Unit: s

    The time correction added to the detection time before AIC time window is computed.

spicker.L2.marginAIC
    Default: 5

    Type: double

    Unit: s

    The AIC time window around the detection used to pick. If 0, AIC is not used.

spicker.L2.minSNR
    Default: 15

    Type: double

    Minimum SNR as returned from AIC for accepting picks.

    NOTE: spicker.V.* This S-picker works similarly to L2 but it only uses the vertical component to pick S-phases. The picker name to be used in configuration files is "S-V".

spicker.V.noiseBegin
    Default: -10

    Type: double

    Unit: s

    Override the relative data processing start time (relative to the triggering pick). This adds a margin to the actual processing and is useful to initialize the filter (Example: bandpass). The data is not used at all until signalBegin is reached. The data time window start is the minimum of noiseBegin and signalBegin.

spicker.V.signalBegin
    Default: 0

    Type: double

    Unit: s

    Override the relative start time (relative to the triggering pick) of the begin of the signal processing.

spicker.V.signalEnd
    Default: 60

    Type: double

    Unit: s

    Override the relative end time (relative to the triggering pick) of the end of the signal window used to pick.

spicker.V.filter
    Default: BW(4,0.3,1.0)

    Type: string

    Configure the filter used to process the raw vertical component data.

spicker.V.detecFilter
    Default: STALTA(1,10)

    Type: string

    Configure the detector filter applied on filtered data.

spicker.V.threshold
    Default: 3

    Type: double

    The detector threshold that triggers the AIC picker.

spicker.V.timeCorr
    Default: 0

    Type: double

    Unit: s

    The time correction added to the detection time before AIC time window is computed.

spicker.V.marginAIC
    Default: 5

    Type: double

    Unit: s

    The AIC time window around the detection used to pick. If 0, AIC is not used.

spicker.V.minSNR
    Default: 15

    Type: double

    Define the mininum SNR as returned from AIC.

    NOTE: fx.* Feature extraction types, e.g. for scautopick.

    NOTE: fx.DFX.* Three component feature extraction algorithm ported from the automatic processing system implemented at CTBTO/IDC. The documentation of the methods is not publically available. In case of questions and comments, please contact CTBTO by email: support@ctbto.org.

    NOTE: fx.DFX.filter.* Butterworth filter options of the bandpass.

fx.DFX.filter.order
    Default: 3

    Type: int

    The order of the filter.

fx.DFX.filter.loFreq
    Default: 1

    Type: double

    Unit: Hz

    The lower cut-off frequency. A negative value or zero will disable a lower cut-off frequency.

fx.DFX.filter.hiFreq
    Default: 3

    Type: double

    Unit: Hz

    The upper cut-off frequency. A negative value or zero will disable a upper cut-off frequency.

fx.DFX.polar.window
    Default: 1.5

    Type: double

    Unit: s

    Length of the covariance window in seconds.

fx.DFX.polar.overlap
    Default: 0.5

    Type: double

    The fraction of the covariance window to overlap.

fx.DFX.polar.alpha
    Default: 0.3

    Type: double

    A station-dependent parameter used to compute a polarization slowness estimate.

fx.DFX.polar.ds
    Default: 0.03

    Type: double

    A station-dependent parameter used to compute the back azimuth and slowness errors.

fx.DFX.polar.dk
    Default: 0.1

    Type: double

    A station-dependent parameter used to compute the back azimuth and slowness errors.

COMMAND-LINE OPTIONS

  Generic

-h, --help
    Show help message.

-V, --version
    Show version information.

--config-file arg
    Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg
    Load given plugins.

-D, --daemon
    Run as daemon. This means the application will fork itself and doesn't need to be started with &.

--auto-shutdown arg
    Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg
    Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg
    Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

  Verbose

--verbosity arg
    Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v
    Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet
    Quiet mode: no logging output.

--print-component arg
    For each log entry print the component right after the log level. By default the component output is enabled for file output but disabled for console output.

--print-context arg
    For each log entry print the source file name and line number.

--component arg
    Limit the logging to a certain component. This option can be given more than once.

-s, --syslog
    Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg
    Path to lock file.

--console arg
    Send log output to stdout.

--debug
    Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--trace
    Execute in trace mode. Equivalent to --verbosity=4 --console=1 --print-component=1 --print-context=1 .

--log-file arg
    Use alternative log file.

  Messaging

-u, --user arg
    Overrides configuration parameter connection.username.

-H, --host arg
    Overrides configuration parameter connection.server.

-t, --timeout arg
    Overrides configuration parameter connection.timeout.

-g, --primary-group arg
    Overrides configuration parameter connection.primaryGroup.

-S, --subscribe-group arg
    A group to subscribe to. This option can be given more than once.

--content-type arg
    Overrides configuration parameter connection.contentType.

    Default: binary

--start-stop-msg arg
    Default: 0

    Set sending of a start and a stop message.

  Database

--db-driver-list
    List all supported database drivers.

-d, --database arg
    The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg
    The config module to use.

--inventory-db arg
    Load the inventory from the given database or file, format: [service://]location .

--config-db arg
    Load the configuration from the given database or file, format: [service://]location .

  Records

--record-driver-list
    List all supported record stream drivers.

-I, --record-url arg
    The RecordStream source URL. Format: [service://]location[#type]. "service" is the name of the RecordStream driver which can be queried with "--record-driver-list". If "service" is not given, "file://" is used and simply the name of a miniSEED file can be given.

--record-file arg
    Specify a file as record source.

--record-type arg
    Specify a type for the records being read.

  Cities

--city-xml arg
    Type: file

    Values: *.xml

    The path to the cities XML file. This overrides the default paths. Compare with the global parameter "citiesXML".

  User interface

-F, --full-screen
    Start the application filling the entire screen. This only works with GUI applications.

-N, --non-interactive
    Use non-interactive presentation mode. This only works with GUI applications.

AUTHOR
gempa GmbH, GFZ Potsdam

COPYRIGHT
gempa GmbH, GFZ Potsdam